After locking screen there is no input field to type password for unlock

Bug #1311316 reported by LGB [Gábor Lénárt] on 2014-04-22
896
This bug affects 173 people
Affects Status Importance Assigned to Milestone
Unity
Fix Released
High
Andrea Azzarone
7.2
Fix Released
High
Andrea Azzarone
unity (Ubuntu)
High
Andrea Azzarone
Nominated for Trusty by Marco Trevisan (Treviño)
Nominated for Xenial by Marco Trevisan (Treviño)
Xenial
Undecided
Unassigned

Bug Description

*** IMPORTANT **

*** The fix is not included in TRUSTY. Will be included with next SRU. ***

If you can reproduce this bug please be sure to provide the following info:
1. Do you use a multi-head setup? If yes, using just one monitor fixes the issue?
2. Can you reproduce all the time?
3. Do you use ldap? If yes, using gnome-screensaver fix the issue (see comment #115) can you still reproduce that?
4. Please consider posting /var/log/auth.log (at least part of it, should not contain sensitive information)
5. Please specify the unity version
*** END IMPORTANT **

[Impact]

Sometimes (but not always) after locking the screen there is the situation not having any input field where I can type the password to unlock the session again. The shaded gray area simply does not have the input field. I can't do anything, I have to switch to text console and stop/start lightdm service to cure the problem loosing all of my session :(

[Test case]

1. Lock/unlock the screen multiple times
2. Expect the lockscreen password input field stay there

[Regression Potential]

Lockscreen shield isn't properly shown. Or fails to login.

ProblemType: BugDistroRelease: Ubuntu 14.04
Package: unity 7.2.0+14.04.20140416-0ubuntu1
ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
Uname: Linux 3.13.0-24-generic i686
ApportVersion: 2.14.1-0ubuntu3
Architecture: i386
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CurrentDesktop: Unity
Date: Tue Apr 22 22:17:57 2014
InstallationDate: Installed on 2012-03-03 (780 days ago)InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)SourcePackage: unity
UpgradeStatus: Upgraded to trusty on 2013-10-18 (186 days ago)

Related branches

LGB [Gábor Lénárt] (lgb) wrote :
LGB [Gábor Lénárt] (lgb) wrote :

Here is a quite bad quality photo (taken by cellphone) to demonstrate the problem.

LGB [Gábor Lénárt] (lgb) wrote :

The whole screen in case of problem.

Andrea Azzarone (azzar1) wrote :

Looks like there is some problem with your pam configuration. Did you play with it?

LGB [Gábor Lénárt] (lgb) wrote :

I don't think so, at least not recently but this install is quite old and was upgraged during the time to newer and newer releases. However what made me thinking is the fact that it does not always happens only sometimes. Also, it's the situation only since some days it didn't happened before, so some kind of upgrade since then can cause it (and I am sure there was no "pam game" since then at least).

tags: added: lockscreen
Changed in unity (Ubuntu):
importance: Undecided → High
Changed in unity:
importance: Undecided → High
LGB [Gábor Lénárt] (lgb) wrote :

Just noticed: sometimes (if the problem occurs) I see the screen I've posted after locking the screen (ctrl-alt-l). If I don't touch the keyboard and mouse the screen fades into black and after some seconds I see the login screen presented with full bright again where I can unlock the session. I don't know too well the new features of the unity desktop, but I guess the first (problematic) screen may be the unity-locker and only that have the problem. Moreover, it's kinda strange for me that I lock my computer (notebook) so I expect that it should save power to turn off display, fade to black etc, but after it happens I get the login screen where I can unlock my session but it's not faded etc. I try to adjust settings in gnome control center and unity control center (I am not sure they are some or not) but I couldn't figure out what settings affect these exactly.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity (Ubuntu):
status: New → Confirmed
Changed in unity:
assignee: nobody → Andrea Azzarone (andyrock)

@LGB [Gábor Lénárt] that you don't see input field doesn't mean that you can't type password and unlock the screen.

I was trying to reproduce a bug that some people described about fullscreen YouTube videos showing on top of Unity lock screen. I managed to get once a screen locked which would flash and without text input field visible just like on your screenshot but I just typed my password and unlock normally.

theghost (theghost) wrote :

Also affected randomly. For me its impossible to unlock again. Even if I type my password blindly.

Joan CiberSheep (cibersheep) wrote :

I just noticed two things:
 - If focus is on a text file when Unity locks, when you type the password is been typed in the text file (even if it's not visible until you manage to unlock clicking on top menu and clicking again in the password area)

 - Sometimes, visualizing a fullscreen video, system lock but it keeps showing one of the frames of the video making dificult to unlock. The way I found to unlock is to press ctrl+alt+L to lock and type the password

Dan Kegel (dank) wrote :

I had this with 14.04. Seemed to get better after I installed the proprietary nvidia drivers?

Margarita Manterola (marga-9) wrote :

I'm having this issue as well. It's not very frequent but it has happens once in a while.

I have a machine with an NVIDIA card, using proprietary nvidia drivers, dual monitor display. Since it's not very often, I haven't yet been able to correlate it with any specific event.

My pam configuration is customized, but I don't believe it's related at all, since most of the time it works fine.

Vojtěch Látal (vojtik) wrote :

I'm also affected. It was not acceptable for me to loose my work, so I was looking for workaround. And I have found it:
What I did:
0) Switch to VT1 using Ctrl + Alt + F1, logged in
1) killall light-locker
2) killall gnome-screensaver
3) killall /usr/lib/unity/unity-panel-service
4) /usr/lib/unity/unity-panel-service --inhibit logout
5) unity --replace

I think number five (number 0 prepended) solves the problem, but in order to be sure, I have added another tries.

Evan Powell (evanjpowell) wrote :

I work around this in the same way vojtik does:

0) Switch to VT1 using Ctrl + Alt + F1, logged in
5) unity --replace

I am running an AMD card in a dual-screen configuration on a new 14.04 install.

Vojtěch Látal (vojtik) wrote :

Evan is right.

If you find top panel missing icons and/or menu-in-window-header missing, try following command:
compiz --replace

I have found somewhere this command prepended by 'setsid ', but don't know if it changes anything.

Luis Alberto Pabón (copong) wrote :

Same here, 14.04 64bit, dual monitors.

Alexander Kops (alexkops) wrote :

Here as well, fresh install of 14.04 on a Dell Latitude notebook (Intel graphics) with the internal screen and two external screens being in use.
Happens randomly as it seems.
Only one time I didn't get password field but at least the cogwheel icon on the top right, so I could select "switch user".
But most of the time there are no user interaction elements whatsover.

Mark Russell (marrusl) wrote :

I've had this about 3 or 4 times as well. Also dual monitors (nvidia binary driver, 64bit).

Henry Weismann (henryweismann) wrote :

I get this once every couple days. Always from the lock screen. I also have a dual monitor setup. (Intel HD Graphics 4000) System 76 Gazelle Professional ( gazp8 )

I've had this happen twice. Each time was slightly different.

I have dual monitors and the first time it happened, I moved my mouse to the other screen. When the user login box switched to the screen my cursor was on, the password field appeared. When I moved my mouse back to the second monitor, this time, the password field was there.

 The second time it happened, both screens were the same with no password field. Moving the cursor back and forth never reloaded the password field and I had to take other measures to log in.

ubuntu-tester (ubuntu-tester1) wrote :

I also get this once every couple days. Always from the lock screen.

Tested on DELL OptiPlex 755 with :
- 01:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] RV610 [Radeon HD 2400 PRO/XT] [1002:94c1] : free radeon driver with dual screen,
- 01:00.0 VGA compatible controller [0300]: NVIDIA Corporation GK107GL [Quadro K2000] [10de:0ffe] (rev a1) : nvidia proprietary driver 331.79 with dual screen.

It's an important bug to deploy Ubuntu 14.04.

ubuntu-tester (ubuntu-tester1) wrote :

I get this issue once every couple days so if you need specific information or if you need me to perform tests, don't hesitate to contact me.

Andrew Shaffer (darawk) wrote :

I am also having this issue. Dual monitor setup, nvidia card.

I've also noticed that it seems to happen pretty often if my screen locks when I have a chrome PDF-viewer window open on one or both of my screens.

Michael (mikhail-w) wrote :

I am also having this issue yesterday second time. Use VirtualBox. I have only one monitor and Intel integrated videocard.

Michael (mikhail-w) wrote :

And I have a ploblem, when VirtualBox window is active, I lock screen. When I want to type my password, it doesn't type in password field, it types in VirtualBox.

Changed in unity:
status: New → Triaged
LGB [Gábor Lénárt] (lgb) wrote :

Another observation: in case of problem also shutdown does not work sometimes, it simply doesn't do anything, even if try multiple times. The only solution then: switch to text console, log in, give command "init 0" as root.

nvrmndr (nvrmndr) wrote :

Affects me as well. Dual monitors, nVidia GT640.

Andrew Fry (afry308) wrote :

Same issue here. The solution posted above get's my logged in:

0) Switch to VT1 using Ctrl + Alt + F1, logged in
5) unity --replace

This one isn't helping me get the "top" menu back:
compiz --replace

Thomas (9-ubuntu-g) wrote :

I've also encountered this issue with a dual monitor setup.
I only seem to trigger it when locking my Dell Latitude E6530 (NVIDIA Corporation GF108GLM [NVS 5200M]) with Ubuntu 14.04.1. Sadly I cannot reproduce it reliably, but I trigger it in maybe 5% of the cases.

Kostas Ubuntoulis (rondinos) wrote :

I have the same issue here, Ubuntu 14.04.1 64bit (3.13.0-33-generic) with Unity, using Dual screen and NVS 300, Nvidia proprietory drivers v 340.24.

Sometimes in the past I was able to get the input password box to appear when I was moving the mouse around from one screen to another. This was causing the login box to change screens and sometimes the input would come back. Lately this doesn't work for me any more, and the only work around is the unity --replace command from a terminal. I also noticed that when I come back to my session my gnome-terminal is completely lost in the background and if it was minimized I cannot bring it back. I don't know if this is related.

John Hoare (jhoare) wrote :

I am also having this issue. I attempted the "unity --replace" workaround, and it appeared to kill my existing session.

I'd also like to note that I use VMWare workstation (my machine with the problem is the host) and if I leave my cursor in my vmware window the screensaver doesn't activate until I move my mouse out of VMware. This may be unreleated but I wanted to mention it in case it is meaningful to others.

HP EliteBook 8770w, Ubuntu 14.04.1 64bit, Nvidia Proprietary drivers: 331.38.

kovinet (borut-kovacec) wrote :

It also affects me. Dual monitors, 64 bit, Graphics: Intel® Ivybridge Desktop - also only every now and then, not always.

When I can't login and try with 'unity --replace' in console (pressing Ctrl + Alt + F1) I can login again but top menu is missing in all applications, but 'compiz --replace' doesn't work (it prints some lines one of them being: Fatal error: Coulnd't open display).

But if I do Ctrl + Alt + F1 and run 'unity --replace', then go back to unity with Ctrl + Alt + F7, then I can login - and after I am logged in in unity and open a Terminal there and run 'compiz --replace' then also top menu comes back.

Margarita Manterola (marga-9) wrote :

This is happening much more often since the latest Unity releases. There were several changes done to the lockscreen and it seems that these changes made this problem more frequent.

It seems to be particularly frequent when the machine is under heavy load (i.e. compiling stuff), which seems to point to some kind of race condition that is made worse when things are going slow.

Alex Krass (alexkrass) wrote :

This happen sometimes to me.
Dual monitors, 64 bit.

Ermolin Ilya (ermolinis) wrote :

Same thing.
Dual monitors, ivi brige + nvidia (open source driver).

There is many people with such defect affected - we can add debug for some component to triangulate this bug?

Jeffrey Nappi (spamage) wrote :

I am also experiencing this every couple days.

Dual Monitors on Intel HD Graphics 4000 (Lenovo Thinkpad T530 w/ dock)

I am affected as well. Dual monitors, Intel graphics, Chrome was open. Happens randomly. Sometime the password box is still visible on one screen, but not on the other. When it disappears on both screens, only the unity --replace and compiz --replace methods mentioned above will allow me to get back to my desktop.

Sebastian (sebnozzi) wrote :

Also affected. Running on dual monitors.
Intel graphics, Lenovo X230. Ubuntu 14.04.
Unity 7.2.2+14.04.20140714-0ubuntu1.1

Matt Zuba (matt-mattzuba) wrote :

Let me add a small twist to this...

I have a triple-screen setup on an ATI card. I have the same issue above, but I also have another...

Sometimes when I come to my computer in the morning for work, one screen will not have the input field, but two others will. If I mis-type my password in one of the working screens, the input field then disappears. If I type it incorrectly in the other window, the input field disappears on that one as well. Then I'm back to the issue in this bug. But if I do type it correctly on either of the working monitors, then sometimes I'll get another lock screen, and sometimes I'll get my desktop.

Additionally, if I do end up in a spot where I have visible fields, if I restart lightdm and then login, then I get the lock screen again after logging in and have to enter my password again.

The Unity Lockscreen has been a huge nightmare for me...

zasran (erik-zasran) wrote :

Same here, same hardware as henryweismann in comment #19 (System76 Gazelle pro), with external monitor (i.e. dual monitor setup).

Switching to VT1 and running unity fixes it but then the windows are on different desktops, some settings are reset (e.g. ctrl-alt-0 does not minimize windows anymore, top menu line is empty, no indicators etc.).

Also tried compiz --replace and unity --replace, neither fixes the keyboard shortcuts and empty menu/panel at the top of the screen (where notifications are).

It is happens, when screen is starting to lock and I move mouse to prevent locking.
So I got funny my login name without password field.
It happens periodically.

unity --replace helps me.

JCarsique (julien-carsique) wrote :

unity --replace didn't work immediately:
0) Switch to VT1 using Ctrl + Alt + F1, logged in
1) unity --replace
=> a lot of errors and warnings (see the attached file) such as:
ERROR unity.debug.interface DebugDBusInterface.cpp:216 Unable to load entry point in libxpathselect: libxpathselect.so.1.4: Ne peut ouvrir le fichier d'objet partagé: Aucun fichier ou dossier de ce type
ERROR unityo (appinfo2) <unknown>:0 g_file_monitor_set_rate_limit: assertion 'G_IS_FILE_MONITOR (monitor)' failed
ERROR unity.launcher.icon.trash TrashLauncherIcon.cpp:66 Could not create file monitor for trash uri: Opération non prise en charge
ERROR unity.glib.dbus.server GLibDBusServer.cpp:524 DBus name lost 'org.gnome.Shell'
ERROR unity.glib.dbus.server GLibDBusServer.cpp:524 DBus name lost 'com.canonical.Unity'
ERROR unity.session.gnome GnomeSessionManager.cpp:357 Gnome Session call failed: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.gnome.SessionManager was not provided by any .service files
2) Ctrl + C
3) Switch back to Ctrl + Alt + F7, no need to log in
4) Right click on the dashboard to open a terminal and run "nohup unity --replace &", wait and close the terminal.

I have a dual screen with windows tied to some viewports.

Darryl Woods (dswoods) wrote :

I notice the exact same behaviour as described in #40 & #41. Desktop machine with Nvideo GeForce GTX 660 video card, 3 monitors.

System info attached in case it helps.

Benton Lam (calyth) wrote :

Happens for me on Lenovo T420 frequently. At work, I hook it up to the second monitor.

Yesterday I rebooted, it came up in dual monitor mode, and it was fine all day, including closing the lid, and the password box is there. At the EOD, I close the lid, unplug the monitor. Came back in, plug it back in, initial log in is ok. And then when the screen times out, both screens doesn't have the password dialog.

End up doing a unity --replace on VT1

ubuntu-tester (ubuntu-tester1) wrote :

This morning, I made a standard Ubuntu 14.04 installation on a dual-screen computer.
I launched processes in order to use 100% of the CPUs, and I reprocuded this bug twice (I don't know if this bug is related to the CPUs usage). I also found this bug on other computers using local or LDAP accounts.

I tryed to reproduce this bug on a single-screen computer but I didn't see any problem, so I think this bug is related to the dual-screen configuration. To ensure : Someone has this bug on a single-screen computer ?

I know somebody who uses Ubuntu 14.04/Unity on a dual-screen computer and seems do not have this bug, do you need specific informations about the configuration of his system ?

Is there a possibility to use another locker than the Unity locker ?

If you need me for information or make tests/debugging, don't hesitate to contact me.

Thanks.

Attachement => sysinfo.txt :
1. system information about the computer impacted by this bug
2
. system information about the computer which seems NOT impacted by this bug
3
. additionnal packages installed on the computer which seems NOT impacted by this bug

I've used my laptop with built in display since the release of 14.04
(upgraded from 13.10) and did never see this issue until I started connect
a second display, then I've been getting this issue. It's definitely dual
screen related.

I've also been seeing this issue on my computer at work, also with dual
screen.

/Anders
On Sep 4, 2014 3:01 PM, "ubuntu-tester" <email address hidden> wrote:

> This morning, I made a standard Ubuntu 14.04 installation on a dual-screen
> computer.
> I launched processes in order to use 100% of the CPUs, and I reprocuded
> this bug twice (I don't know if this bug is related to the CPUs usage). I
> also found this bug on other computers using local or LDAP accounts.
>
> I tryed to reproduce this bug on a single-screen computer but I didn't
> see any problem, so I think this bug is related to the dual-screen
> configuration. To ensure : Someone has this bug on a single-screen
> computer ?
>
> I know somebody who uses Ubuntu 14.04/Unity on a dual-screen computer
> and seems do not have this bug, do you need specific informations about
> the configuration of his system ?
>
> Is there a possibility to use another locker than the Unity locker ?
>
> If you need me for information or make tests/debugging, don't hesitate
> to contact me.
>
> Thanks.
>
> Attachement => sysinfo.txt :
> 1. system information about the computer impacted by this bug
> 2. system information about the computer which seems NOT impacted by this
> bug
> 3. additionnal packages installed on the computer which seems NOT impacted
> by this bug
>
> ** Attachment added: "sysinfo.txt"
>
> https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1311316/+attachment/4195367/+files/sysinfo.txt
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1311316
>
> Title:
> After locking screen there is no input field to type password for
> unlock
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/1311316/+subscriptions
>

Jung-Kyu Park (bagjunggyu) wrote :

Nope, I have a issue on single monitor and even it is related to language ubiquity check this report

related to single monitor)
https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1251213

related to language select ubiquity)
https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1327690

Ben Smith (le-ben-smith) wrote :

I've also seen this problem where the input field is missing on one monitor, but not on the other.

I've a quite hard time in reproducing this, btw I've made a PPA with some fixes that should improve the things:
 - https://launchpad.net/~3v1n0/+archive/ubuntu/unity-tests

Give a try to that (for trusty, changes for utopic are already in main repo), if you get better results let us know.

Changed in unity:
assignee: Andrea Azzarone (andyrock) → Marco Trevisan (Treviño) (3v1n0)
Changed in unity (Ubuntu):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Changed in unity:
milestone: none → 7.3.1
Vitaliy (b-daemonlion) wrote :

Confirming this issue.

I have this problem on my work pc, with 2 monitors setup. Problem shows up very often. Password field stops working on the first screen but I can login on second, but if I lock system again all two screens become affected.

ubuntu-tester (ubuntu-tester1) wrote :

Hello tongr,

For my part "greeter-show-manual-login" is enabled for several month and I have this issue every couple of days.

I'm testing Marco Trevisan's unity package (https://launchpad.net/~3v1n0/+archive/ubuntu/unity-tests), I installed it last monday and I haven't had this issue since. I wait a little longer before validating.

Ray DeCampo (rdecampo) wrote :

I experience this issue on a single-screen environment; however, we frequently have multiple users logged in and so are using multiple virtual terminals. Sometimes it is possible to switch another VT and have that user log out and that alleviates the issue.

Changed in unity (Ubuntu):
status: Confirmed → Triaged
ubuntu-tester (ubuntu-tester1) wrote :

I installed Marco Trevisan's unity package (https://launchpad.net/~3v1n0/+archive/ubuntu/unity-tests) on
Monday, September 8 and I haven't had this issue since. Usually, I have this issue every couple of days so this package seems to correct it.
For information, I have a very very very little display bug : after typing my password, when I press enter to unlock, some pixels of the arrow on the right of the password field appears to "flicker" (this is not a problem for me).

This package will be released in official repositories ?

Thanks.

Margarita Manterola (marga-9) wrote :

Several users in my company were experiencing this issue, and it was gone after installing the test packages provided by Marco. Please backport this to Trusty ASAP.

Gabriel Zellmer (crosseye) wrote :

I am also happy to report that after installing Marco Trevisan's patch on 05SEP2014 I am no longer experiencing this glitch. Usually I was experiencing this glitch daily to every other day but have not since patching it.

Thank you Marco Trevisan for taking the time to work this glitch, it is greatly appreciated!!

Changed in unity (Ubuntu):
status: Triaged → Fix Released
Changed in unity:
status: Triaged → Fix Committed
assignee: Marco Trevisan (Treviño) (3v1n0) → nobody
assignee: nobody → Andrea Azzarone (andyrock)
Changed in unity (Ubuntu):
assignee: Marco Trevisan (Treviño) (3v1n0) → Andrea Azzarone (andyrock)
Giampiero Salvi (giampisalvi) wrote :

Hi,
I saw this bug seems to be fixed and committed on September 17. I am wondering if the time span before it reaches Software Updater will be in the order of days, weeks or months. Is it worth waiting or is it better to install Marco's PPA version?

Thank you for all the hard work!
Giampiero

Hi Giampiero,

Unfortunately the fix for Trusty will need some weeks in order to be available, because we're still in the verification phase of the previous Unity SRU that needs to go in, before we prepare a new one (you can help to speed up things by verifying the relevant bugs¹, BTW)

[1] https://launchpad.net/ubuntu/+source/unity/7.2.3+14.04.20140826-0ubuntu1

Stuart Hostler (shostler) wrote :

Same as #42

When the mouse is moved to keep the screen awake (as it's fading to black), i'll see this afterwards.

Jack Choy (choyj2000) wrote :

I notice the same thing. If the screen locks due to timeout, it's ok. But after keeping it from locking a couple of times as it fades out, I'll have a high-chance of this problem occurring.

harrychillboy (harrychillboy) wrote :

This is annoying and specially happens while working on dual monitors with my laptop. Its has intel hd4000 builtin graphics.
* password input will be disabled on laptop screen but works on attached monitor sometimes.
* other times, the password input is disabled on both and then I have to hard reboot.
* happens after I locked the screen myselft or got locked due to time

Next time I will try "unity --replace" and hope it restores my work / windows.
This is the thing I hate most.

Ermolin Ilya (ermolinis) wrote :

Suggest to try patch - in comments of this thread.
It's helped me.

2014-10-18 11:43 GMT+04:00 harrychillboy <email address hidden>:

> This is annoying and specially happens while working on dual monitors with
> my laptop. Its has intel hd4000 builtin graphics.
> * password input will be disabled on laptop screen but works on attached
> monitor sometimes.
> * other times, the password input is disabled on both and then I have to
> hard reboot.
> * happens after I locked the screen myselft or got locked due to time
>
> Next time I will try "unity --replace" and hope it restores my work /
> windows.
> This is the thing I hate most.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1311316
>
> Title:
> After locking screen there is no input field to type password for
> unlock
>
> Status in Unity:
> Fix Committed
> Status in Unity 7.2 series:
> In Progress
> Status in “unity” package in Ubuntu:
> Fix Released
>
> Bug description:
> Sometimes (but not always) after locking the screen there is the
> situation not having any input field where I can type the password to
> unlock the session again. The shaded gray area simply does not have
> the input field. I can't do anything, I have to switch to text console
> and stop/start lightdm service to cure the problem loosing all of my
> session :(
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: unity 7.2.0+14.04.20140416-0ubuntu1
> ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
> Uname: Linux 3.13.0-24-generic i686
> ApportVersion: 2.14.1-0ubuntu3
> Architecture: i386
> CompizPlugins: No value set for
> `/apps/compiz-1/general/screen0/options/active_plugins'
> CurrentDesktop: Unity
> Date: Tue Apr 22 22:17:57 2014
> InstallationDate: Installed on 2012-03-03 (780 days ago)
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386
> (20110427.1)
> SourcePackage: unity
> UpgradeStatus: Upgraded to trusty on 2013-10-18 (186 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/1311316/+subscriptions
>

--
С Уважением,
Ермолин Илья

Ermolin Ilya

theghost (theghost) wrote :

This bug occured to me also in Utopic (14.10). Running dual monitor setup using radeonsi.
After multiple screen locks and unlocks the bug reappeared.
Is this bug supposed to be fixed in Unity 7.3.1 on Utopic?

Ben Smith (le-ben-smith) wrote :

I have a workaround for this, use Gnome instead of Unity.

It took me a while to realize/figure out that it's pretty painless to just run a different window manager on Ubuntu. I did look at maybe switching to a different lock screen but there was no straightforward way to do that.

It turns out you just use apt to install gnome-shell and then from the login screen you have the option to run Gnome instead of Unity (click the little icon on that line with your name when you're logging in to select the window manager you want).
The bug makes Unity so inconvenient to use that I was considering switching to another Linux distribution. I don't see any downside to switching to Gnome so far, so this seems like a reasonable workaround until the problem is resolved. Or maybe forever, I don't care about Gnome vs. Unity and Gnome seems to work just fine.

Ben Smith (le-ben-smith) wrote :

Here's an article with screenshots of how to actually find the icon that lets you choose your "shell":
http://www.howtogeek.com/112620/how-to-install-use-gnome-shell-on-ubuntu/

Ben Smith (le-ben-smith) wrote :

Sorry, one more thing... I think the correct matepackage is ubuntu-gnome-desktop

René van Aerle (i-3nfo-p) wrote :

Same thing here, me and a colleague are effected. I see it has been resolved on unity-test, any roadmap on when (or if) this fix will be included in 14.04 and other releases?

I have this problem but can access the desktop using SSH. Is there a process I can kill/restart to fix this condition?

Erik (erik-b) wrote :

unity --replace

On Mon, Nov 3, 2014 at 5:38 AM, Bruce MacNaughton <email address hidden>
wrote:

> I have this problem but can access the desktop using SSH. Is there a
> process I can kill/restart to fix this condition?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1311316
>
> Title:
> After locking screen there is no input field to type password for
> unlock
>
> Status in Unity:
> Fix Committed
> Status in Unity 7.2 series:
> In Progress
> Status in “unity” package in Ubuntu:
> Fix Released
>
> Bug description:
> Sometimes (but not always) after locking the screen there is the
> situation not having any input field where I can type the password to
> unlock the session again. The shaded gray area simply does not have
> the input field. I can't do anything, I have to switch to text console
> and stop/start lightdm service to cure the problem loosing all of my
> session :(
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: unity 7.2.0+14.04.20140416-0ubuntu1
> ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
> Uname: Linux 3.13.0-24-generic i686
> ApportVersion: 2.14.1-0ubuntu3
> Architecture: i386
> CompizPlugins: No value set for
> `/apps/compiz-1/general/screen0/options/active_plugins'
> CurrentDesktop: Unity
> Date: Tue Apr 22 22:17:57 2014
> InstallationDate: Installed on 2012-03-03 (780 days ago)
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386
> (20110427.1)
> SourcePackage: unity
> UpgradeStatus: Upgraded to trusty on 2013-10-18 (186 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/1311316/+subscriptions
>

msp3k (peek-nimbios) wrote :

I would like to know the answer to that as well. Back in the good 'ol
days the screen lock was a separate process, and "pkill -9
gnome-screensaver" would bring back the desktop. But now...? There is
a process called "/usr/lib/unity/unity-panel-service --lockscreen-mode",
but if I "kill -9" on it, it just comes back with a new PID.

Michael

On 11/03/2014 08:38 AM, Bruce MacNaughton wrote:
> I have this problem but can access the desktop using SSH. Is there a
> process I can kill/restart to fix this condition?
>

msp3k (peek-nimbios) wrote :

When I do that, I get the desktop back, but no dash, launcher, or panel.

On 11/03/2014 08:54 AM, Erik wrote:
> unity --replace
>
> On Mon, Nov 3, 2014 at 5:38 AM, Bruce MacNaughton <email address hidden>
> wrote:
>
>> I have this problem but can access the desktop using SSH. Is there a
>> process I can kill/restart to fix this condition?
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1311316
>>
>> Title:
>> After locking screen there is no input field to type password for
>> unlock
>>
>> Status in Unity:
>> Fix Committed
>> Status in Unity 7.2 series:
>> In Progress
>> Status in “unity” package in Ubuntu:
>> Fix Released
>>
>> Bug description:
>> Sometimes (but not always) after locking the screen there is the
>> situation not having any input field where I can type the password to
>> unlock the session again. The shaded gray area simply does not have
>> the input field. I can't do anything, I have to switch to text console
>> and stop/start lightdm service to cure the problem loosing all of my
>> session :(
>>
>> ProblemType: Bug
>> DistroRelease: Ubuntu 14.04
>> Package: unity 7.2.0+14.04.20140416-0ubuntu1
>> ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
>> Uname: Linux 3.13.0-24-generic i686
>> ApportVersion: 2.14.1-0ubuntu3
>> Architecture: i386
>> CompizPlugins: No value set for
>> `/apps/compiz-1/general/screen0/options/active_plugins'
>> CurrentDesktop: Unity
>> Date: Tue Apr 22 22:17:57 2014
>> InstallationDate: Installed on 2012-03-03 (780 days ago)
>> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386
>> (20110427.1)
>> SourcePackage: unity
>> UpgradeStatus: Upgraded to trusty on 2013-10-18 (186 days ago)
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/unity/+bug/1311316/+subscriptions
>>

msp3k - I got the same thing but just ran unity --replace in a terminal window I had left open on the desktop. I didn't check to see if could open a terminal. But running unity --replace from the desktop (w/o dash, launcher, panel, menu bar, etc.) resulted in getting them all back. It was ugly - many errors but it worked. Everything seems fine afterwards.

Any idea when I can specifically target the software for an update? The fix clearly hasn't hit me yet.

msp3k (peek-nimbios) wrote :

Out of 90-somethign users this bug only seems to affect one user. (Of
course, that user happens to be one of my bosses...) Because the
problem is hard to reproduce I have a feeling that it'lll be difficult
to track down and fix.

Michael

On 11/03/2014 05:18 PM, Bruce MacNaughton wrote:
> msp3k - I got the same thing but just ran unity --replace in a terminal
> window I had left open on the desktop. I didn't check to see if could
> open a terminal. But running unity --replace from the desktop (w/o dash,
> launcher, panel, menu bar, etc.) resulted in getting them all back. It
> was ugly - many errors but it worked. Everything seems fine afterwards.
>
> Any idea when I can specifically target the software for an update? The
> fix clearly hasn't hit me yet.
>

Seth (wilhelm-seth) wrote :

This bug affects me. And it is very annoying.

Yesterday, this bug acted different. When I went to login, the user name was root, which I was not logged in as.

ubuntu-tester (ubuntu-tester1) wrote :

Hello,

I saw this bug seems to be fixed and released on September 17, anybody knows in which repository this fix has been released? Is this in trusty-proposed repository?
How will we know if this fix has been released in the Trusty stable repository? Is this when Unity 7.2.4 will be released?
Do you have any idea how long will it take?

Have a good day and thanks for your help.

Paul Horn (paul-hornshome) wrote :

I have the updated package installed:

    paul@paul-ThinkPad-W530:~$ sudo apt-show-versions unity
    unity:amd64/trusty-updates 7.2.3+14.04.20140826-0ubuntu1 uptodate

But I still got hit with this bug today.

Lenovo W530 in Optimus mode, second monitor attached to display port.

Usually only happens when both monitors are active, and when a VirtualBox VM is on the screen. Today, I was on a workspace that didn't include any VMs. First occurrence after locking I got a blank login on one monitor but the second allowed me to enter password; a few minutes later a second lock screen resulted in both monitors refusing to accept a password.

unity --replace did restore the ability to login.

Paul Horn (paul-hornshome) wrote :

I have the updated package installed:

    paul@paul-ThinkPad-W530:~$ sudo apt-show-versions unity
    unity:amd64/trusty-updates 7.2.3+14.04.20140826-0ubuntu1 uptodate

But I still got hit with this bug today.

Lenovo W530 in Optimus mode, second monitor attached to display port.

Usually only happens when both monitors are active, and when a VirtualBox VM is on the screen. Today, I was on a workspace that didn't include any VMs. First occurrence after locking I got a blank login on one monitor but the second allowed me to enter password; a few minutes later a second lock screen resulted in both monitors refusing to accept a password.

unity --replace did restore the ability to login.

NOTE: I wondered if this patch was applied since my last login / Unity load. Checking update history shows it was installed on 11/14/2014 along with kernel patches, meaning a reboot was required post-install.

It still reproduces on utopic with unity 7.3.1+14.10.20141016-0ubuntu1

Andrea Azzarone (azzar1) wrote :

Can you post your auth.log?

Dmytro Tkanov (akademi4eg) wrote :

I still get this issue on Ubuntu 14.04. Managed to get an input field after killing all instances of unity-panel-service (it might be that you'll have to run killall several times). After doing that I get windows messed up among desktops. The good thing there are borders and titles for all the windows. Usage of "unity --replace" solution works, but removes borders and title bars for all windows.

Jean-Paul Calderone (exarkun) wrote :

This continues to bite me on 14.04.

I have the newest unity installed:

exarkun@phonon:~$ sudo apt-show-versions unity
unity:amd64/trusty-updates 7.2.3+14.04.20140826-0ubuntu1 uptodate

It has been installed since Nov 7:

exarkun@phonon:~$ grep 7.2.3+14.04.20140826-0ubuntu1 /var/log/dpkg.log.1 | grep installed
2014-11-07 11:56:16 status installed unity-services:amd64 7.2.3+14.04.20140826-0ubuntu1
2014-11-07 11:56:16 status installed libunity-core-6.0-9:amd64 7.2.3+14.04.20140826-0ubuntu1
2014-11-07 11:56:16 status installed unity:amd64 7.2.3+14.04.20140826-0ubuntu1

I have rebooted since installing it (9 days ago):

exarkun@phonon:~$ uptime
 09:15:48 up 9 days, 18:32, 3 users, load average: 0.24, 0.44, 0.50

More than 9 days have passed since Nov 7:

exarkun@phonon:~$ date
Mon Dec 1 09:15:49 EST 2014

Jean-Paul Calderone (exarkun) wrote :

It doesn't appear as though 7.2.3+14.04.20140826-0ubuntu1 is likely to actually include the fix for this issue. The fix wasn't even committed until several weeks after that package was created (as far as I can tell). The changelog entry for that page doesn't refer this bug number either. I'm not sure why Marco Trevisan (Treviño) (3v1n0) linked to that package's changelog. Perhaps the fix was initially planned to be included in that package but was then removed? Or perhaps some other misunderstanding has occurred.

What are the changes that this fix will make it into 14.04?

LGB [Gábor Lénárt] (lgb) wrote :

I don't know if it helps, but I always had problems like "no input field for password" or the "double unlock" (if the first problem does not occur, unlock presented another unlock field with a sightly different screen) problem on my notebook. Then I noticed, I have a package installed named "light-locker" (I am not sure about the name though, just by heart now). After removing that package I had no problem like these since then! Since I've installed meta-packages xubuntu-desktop and lubuntu-desktop as well (so I can test different desktops) it can be a reason as (if I am correct) these packages depends on light-locker. Removing them caused those meta packages to be removed as well (again, if I remember well enough), but at least since then I have no problem with regular ubuntu (unity) desktop locking&unlocking.

Ali (ali-0) wrote :

Today faced the problem and had to lose the whole development setup because of it...

msp3k (peek-nimbios) wrote :

Light-locker is not installed on our machines.

On 12/01/2014 10:56 AM, LGB [Gábor Lénárt] wrote:
> I don't know if it helps, but I always had problems like "no input field
> for password" or the "double unlock" (if the first problem does not
> occur, unlock presented another unlock field with a sightly different
> screen) problem on my notebook. Then I noticed, I have a package
> installed named "light-locker" (I am not sure about the name though,
> just by heart now). After removing that package I had no problem like
> these since then! Since I've installed meta-packages xubuntu-desktop and
> lubuntu-desktop as well (so I can test different desktops) it can be a
> reason as (if I am correct) these packages depends on light-locker.
> Removing them caused those meta packages to be removed as well (again,
> if I remember well enough), but at least since then I have no problem
> with regular ubuntu (unity) desktop locking&unlocking.
>

Matt Zuba (matt-mattzuba) wrote :
Download full text (3.9 KiB)

FWIW - I have Marco's PPA package installed and I continue to see this issue. Another issue that seems partly relevant is that my screensaver never stays on for more than a few minutes before I see the lock screen again. I notice that when this happens, this issue is more prevelant. Here is a snippet of my auth.log (note that I, nor anyone else is at the office during this time frame) and 6:25 is when I first sat down at my desk to log in.

    212 Dec 2 04:40:14 d000-mzuba1 compiz: PAM adding faulty module: pam_kwallet.so
    213 Dec 2 04:52:04 d000-mzuba1 compiz: PAM unable to dlopen(pam_kwallet.so): /lib/security/pam_kwallet.so: cannot open shared object file: No such file or directory
    214 Dec 2 04:52:04 d000-mzuba1 compiz: PAM adding faulty module: pam_kwallet.so
    215 Dec 2 05:03:52 d000-mzuba1 compiz: PAM unable to dlopen(pam_kwallet.so): /lib/security/pam_kwallet.so: cannot open shared object file: No such file or directory
    216 Dec 2 05:03:52 d000-mzuba1 compiz: PAM adding faulty module: pam_kwallet.so
    217 Dec 2 05:15:42 d000-mzuba1 compiz: PAM unable to dlopen(pam_kwallet.so): /lib/security/pam_kwallet.so: cannot open shared object file: No such file or directory
    218 Dec 2 05:15:42 d000-mzuba1 compiz: PAM adding faulty module: pam_kwallet.so
    219 Dec 2 05:27:30 d000-mzuba1 compiz: PAM unable to dlopen(pam_kwallet.so): /lib/security/pam_kwallet.so: cannot open shared object file: No such file or directory
    220 Dec 2 05:27:30 d000-mzuba1 compiz: PAM adding faulty module: pam_kwallet.so
    221 Dec 2 05:39:18 d000-mzuba1 compiz: PAM unable to dlopen(pam_kwallet.so): /lib/security/pam_kwallet.so: cannot open shared object file: No such file or directory
    222 Dec 2 05:39:18 d000-mzuba1 compiz: PAM adding faulty module: pam_kwallet.so
    223 Dec 2 05:51:06 d000-mzuba1 compiz: PAM unable to dlopen(pam_kwallet.so): /lib/security/pam_kwallet.so: cannot open shared object file: No such file or directory
    224 Dec 2 05:51:06 d000-mzuba1 compiz: PAM adding faulty module: pam_kwallet.so
    225 Dec 2 06:02:55 d000-mzuba1 compiz: PAM unable to dlopen(pam_kwallet.so): /lib/security/pam_kwallet.so: cannot open shared object file: No such file or directory
    226 Dec 2 06:02:55 d000-mzuba1 compiz: PAM adding faulty module: pam_kwallet.so
    227 Dec 2 06:14:43 d000-mzuba1 compiz: PAM unable to dlopen(pam_kwallet.so): /lib/security/pam_kwallet.so: cannot open shared object file: No such file or directory
    228 Dec 2 06:14:43 d000-mzuba1 compiz: PAM adding faulty module: pam_kwallet.so
    229 Dec 2 06:25:41 d000-mzuba1 unix_chkpwd[14694]: check pass; user unknown
    230 Dec 2 06:25:41 d000-mzuba1 unix_chkpwd[14694]: password check failed for user (mzuba)
    231 Dec 2 06:25:41 d000-mzuba1 compiz: pam_unix(lightdm:auth): authentication failure; logname= uid=1002442509 euid=1002442509 tty= ruser= rhost= user=mzuba
    232 Dec 2 06:25:41 d000-mzuba1 compiz: gkr-pam: unlocked login keyring
    233 Dec 2 06:25:41 d000-mzuba1 unix_chkpwd[14703]: could not obtain user info (mzuba)
    234 Dec 2 06:25:48 d000-mzuba1 compiz: PAM unable to dlopen(pam_kwallet.so): /lib/security/pam_kwallet.so: cannot op...

Read more...

vmajor (victor-major) wrote :

It most definitively is not fixed. I have the latest Unity 7.2.3 and this bug still exists. Furthermore I am also unable to open another terminal. The only way that I can get back into my computer is to SSH to it and run sudo unity --replace

Please reopen this bug report and please find an actual fix.

This never happened with 12.04 LTS

Andrea Azzarone (azzar1) wrote :

@Matt zuba, can you post the output of:
ls -l /sbin/unix_chkpwd

tom@inetz (09r-tom-anz) wrote :

Andrea Azzarone (andyrock)... I am experiencing the same issue. This happens to me about 3-4 times a week. Anything I can do to help you track down the issue?

Andrea Azzarone (azzar1) wrote :

@Thomas yes, please send me the content of /var/log/auth.log and the output of ls -l /sbin/unix_chkpwd.
Also does it happen randomly or all the time?

Changed in unity:
status: Fix Committed → Confirmed
Philipp Wendler (philw85) wrote :

We also have this problem on several machines, and I hope I can contribute to getting it fixed.
Removing light-locker fixed the "double unlock" problem, but not this problem. The machine is a fully up-to-date Ubuntu 14.04 with LDAP authentication.

The output of ls -l /sbin/unix_chkpwd is
-rwxr-sr-x 1 root shadow 35536 Jan 31 2014 /sbin/unix_chkpwd
I cannot post full auth.log because of personal data,
but I will try to remember to grap the last lines of the log the next time the problem appears.

The problem occurs only randomly and not very often (maybe once per week). It happens less often now that the "double unlock" problem is fixed, I guess simply because I have to enter my password less often now.

A reliable work around is to switch to a text console, login as the same user, and run "unity --replace".
This restores the password input field. After unlocking, the panels are missing but I can fix this by opening a terminal window and running "unity --replace" there.

Andrea Azzarone (azzar1) wrote :

Please consider sending me in private the auth.log file.
On 5 Dec 2014 11:26, "Philipp Wendler" <email address hidden> wrote:

> We also have this problem on several machines, and I hope I can contribute
> to getting it fixed.
> Removing light-locker fixed the "double unlock" problem, but not this
> problem. The machine is a fully up-to-date Ubuntu 14.04 with LDAP
> authentication.
>
> The output of ls -l /sbin/unix_chkpwd is
> -rwxr-sr-x 1 root shadow 35536 Jan 31 2014 /sbin/unix_chkpwd
> I cannot post full auth.log because of personal data,
> but I will try to remember to grap the last lines of the log the next time
> the problem appears.
>
> The problem occurs only randomly and not very often (maybe once per
> week). It happens less often now that the "double unlock" problem is
> fixed, I guess simply because I have to enter my password less often
> now.
>
> A reliable work around is to switch to a text console, login as the same
> user, and run "unity --replace".
> This restores the password input field. After unlocking, the panels are
> missing but I can fix this by opening a terminal window and running "unity
> --replace" there.
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1311316
>
> Title:
> After locking screen there is no input field to type password for
> unlock
>
> Status in Unity:
> Confirmed
> Status in Unity 7.2 series:
> Confirmed
> Status in unity package in Ubuntu:
> Fix Released
>
> Bug description:
> Sometimes (but not always) after locking the screen there is the
> situation not having any input field where I can type the password to
> unlock the session again. The shaded gray area simply does not have
> the input field. I can't do anything, I have to switch to text console
> and stop/start lightdm service to cure the problem loosing all of my
> session :(
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: unity 7.2.0+14.04.20140416-0ubuntu1
> ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
> Uname: Linux 3.13.0-24-generic i686
> ApportVersion: 2.14.1-0ubuntu3
> Architecture: i386
> CompizPlugins: No value set for
> `/apps/compiz-1/general/screen0/options/active_plugins'
> CurrentDesktop: Unity
> Date: Tue Apr 22 22:17:57 2014
> InstallationDate: Installed on 2012-03-03 (780 days ago)
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386
> (20110427.1)
> SourcePackage: unity
> UpgradeStatus: Upgraded to trusty on 2013-10-18 (186 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/1311316/+subscriptions
>

Andrea Azzarone (azzar1) wrote :

@Philipp also I just read you are using ldap. That can be a different issue (maybe is solved in trunk because now unity and lightdm do not share pam configuration).

Gary Albano (gary-albano) wrote :

I have this issue still, if i can send anyone log info please request it.
One thing i noticed is it seems to happen more often after i notice a system freeze from trying to open Chrome.
And it seems this only happens after many days with out a reboot.

Applications i use
Virtual Box / Vagrant
pycharm / Netbeans / sublime3
Chrome
Firefox
Hipchat
Google Music webapp

Machine
I have a dual monitor setup as well on a Leveno Think Server (It has 2 hdmi ports)
19.4 GiB
Intel® Xeon(R) CPU E3-1225 v3 @ 3.20GHz × 4
Intel® Haswell Server

I update / upgrade often 2-3 times a week

Originally i did a upgrade, but since this issue i have done a fresh install of 14.

Hope this helps someone

I use the above recover method it works, but it wrecks the panels causing me to close everything and restart.

msp3k (peek-nimbios) wrote :

I am using ldap as well.

Out of 80 hosts and 110 users this bug only affects one user on one host.
(Unfortunately that user happens to be one of my bosses.)
It's irregular, but frequent.

Michael Peek

On 12/05/2014 09:06 AM, Andrea Azzarone wrote:
> @Philipp also I just read you are using ldap. That can be a different
> issue (maybe is solved in trunk because now unity and lightdm do not
> share pam configuration).
>

ubuntu-tester (ubuntu-tester1) wrote :

For me, the bug status is not clear ? Someone know if the fix for Ubuntu 14.04 has been released or not ?
Below what I understand :
- The fix has not been yet released for Ubuntu 14.04
- The fix will be released on Ubuntu 14.04 with Unity 7.2.4 (The current release of Unity is 7.2.3)
=> https://launchpad.net/unity
=> https://launchpad.net/unity/+milestones
=> https://launchpad.net/unity/+milestone/7.2.4

Anyone can tell me if I'm right or not ?
Thanks and have a good day ;)

Andrea Azzarone (azzar1) wrote :

We released a fix but it does not work. The one we released was about text entry not showing randomly on multimonitor and seems to be fixed. Probably what you can reproduce now is a problem with permissions.

Thanks for your answer and also for your work Andrea ! Thanks to Marco Trevisan too.
Sorry for my english but I don't understand if the fix works or not when you say "We released a fix but it does not work" then "The one we released was text entry not showing randomly on multimonitor and seems to be fixed", for me it's contradictory.

What I can say :
- My PC using Marco Trevisan's unity package (https://launchpad.net/~3v1n0/+archive/ubuntu/unity-tests) works perfectly since 2014-09-11,
- Another PC using Ubuntu's unity package, randomly, I have no input field to type password for unlock (normally this PC is up to date but I have to check).

Both use multimonitor and LDAP authentication.

Andrea Azzarone (azzar1) wrote :

In a nuthsell: the bug is not fixed.

You using ldap? Probably it's a configuration issue. Gnome screensaver used to be buggy using ldap authentication too, but most of time it's just a configuration issue.

Philipp Wendler (philw85) wrote :

I cannot imagine how a missing password input field in the lock screen could be related to an LDAP configuration issue on our side.
If the authentication would fail after entering the password, then yes, of course this could be such a problem.
But a password field should always be shown by the unlock screen, regardless of the authentication backend.

Also our LDAP configuration is working for several years now without problems.
Only since the upgrade to Ubuntu 14.04 this problem with the lock screen has started appearing.
All other applications, including the login screen (lightdm) are working fine.

By the way, we have a dual monitor setup, too.
Our home file systems are on an NFS fileserver, mounted using automount and with root_squash enabled (this means that root does not have full access to my home directory, but only the same rights as all other accounts). If there is a root process trying to access files in my home this would fail.

Andrea Azzarone (azzar1) wrote :

Because we don't show a text entry if PAM (the authentication module) does
not respond correctly. We wait for PAM to ask the passoword not the
opposite, and if PAM fails there is nothing we can do about. Briefly PAM
works like that: we ask to authenticate the current user, pam responds
asking us to show a text entry with some text (like "Password:", etc...),
we send the password to pam, etc. If for some reasons pam cannot
authenticate the current user, it answers with an error.

Gnome Screensaver was working out of the box?

2014-12-08 9:41 GMT+01:00 Philipp Wendler <email address hidden>:

> I cannot imagine how a missing password input field in the lock screen
> could be related to an LDAP configuration issue on our side.
> If the authentication would fail after entering the password, then yes, of
> course this could be such a problem.
> But a password field should always be shown by the unlock screen,
> regardless of the authentication backend.
>
> Also our LDAP configuration is working for several years now without
> problems.
> Only since the upgrade to Ubuntu 14.04 this problem with the lock screen
> has started appearing.
> All other applications, including the login screen (lightdm) are working
> fine.
>
> By the way, we have a dual monitor setup, too.
> Our home file systems are on an NFS fileserver, mounted using automount
> and with root_squash enabled (this means that root does not have full
> access to my home directory, but only the same rights as all other
> accounts). If there is a root process trying to access files in my home
> this would fail.
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1311316
>
> Title:
> After locking screen there is no input field to type password for
> unlock
>
> Status in Unity:
> Confirmed
> Status in Unity 7.2 series:
> Confirmed
> Status in unity package in Ubuntu:
> Fix Released
>
> Bug description:
> Sometimes (but not always) after locking the screen there is the
> situation not having any input field where I can type the password to
> unlock the session again. The shaded gray area simply does not have
> the input field. I can't do anything, I have to switch to text console
> and stop/start lightdm service to cure the problem loosing all of my
> session :(
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: unity 7.2.0+14.04.20140416-0ubuntu1
> ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
> Uname: Linux 3.13.0-24-generic i686
> ApportVersion: 2.14.1-0ubuntu3
> Architecture: i386
> CompizPlugins: No value set for
> `/apps/compiz-1/general/screen0/options/active_plugins'
> CurrentDesktop: Unity
> Date: Tue Apr 22 22:17:57 2014
> InstallationDate: Installed on 2012-03-03 (780 days ago)
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386
> (20110427.1)
> SourcePackage: unity
> UpgradeStatus: Upgraded to trusty on 2013-10-18 (186 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/1311316/+subscriptions
>

--
Andrea Azzarone
http://launchpad.net/~andyrock
http://wiki.ubuntu.com/AndreaAzzarone

msp3k (peek-nimbios) wrote :

I must have missed something. Permissions on what path? And what
should the permissions be?

Michael Peek

On 12/06/2014 09:03 AM, Andrea Azzarone wrote:
> We released a fix but it does not work. The one we released was about
> text entry not showing randomly on multimonitor and seems to be fixed.
> Probably what you can reproduce now is a problem with permissions.
>

Stephen M. Webb (bregma) wrote :

> But a password field should always be shown by the unlock screen, regardless of the authentication backend.

No.

For example, if smart card authentication is in use, the PIN entry field should not be shown until and unless the smart card is inserted in the reader.

If challenge-response authentication is in use, it would incorrect to display the response field until the user ID has been entered and a challenge presented.

There are a number of scenarios in which it is just wrong to present a password field. It is correct for the Unity lock screen to not always displaying a password entry field when it has not been instructed to do so by the underlying auth mech. Any authentication dialog that does so, and actually authenticates the user as a result, possibly has a critical security vulnerability.

It would be a good idea to audit your local authentication setup if you are seeing this bug.

msp3k (peek-nimbios) wrote :

We use the same setup, and have had the same experiences:
1) LDAP configuration hasn't changed in years
2) Login screen works fine
3) Home areas are served via NFS+automount
4) Problems only appeared after installing 14.04 (we did fresh installs
though, not upgrades)

Michael Peek

On 12/08/2014 03:41 AM, Philipp Wendler wrote:
> Also our LDAP configuration is working for several years now without problems.
> Only since the upgrade to Ubuntu 14.04 this problem with the lock screen has started appearing.
> All other applications, including the login screen (lightdm) are working fine.
>
> By the way, we have a dual monitor setup, too.
> Our home file systems are on an NFS fileserver, mounted using automount and with root_squash enabled (this means that root does not have full access to my home directory, but only the same rights as all other accounts). If there is a root process trying to access files in my home this would fail.
>

Philipp Wendler (philw85) wrote :

For auditing my PAM config, could you please tell me which PAM config the lock screen uses
(i.e., which file in /etc/pam.d is used)?
So far I could not find any differences between them.
The LDAP config is in common-{auth,account}, which are included in most files in this directory.
All these services (login, lightdm, polkit-1, sudo, sshd) are working fine.

For my part, reading explanations above, I understand it may be an LDAP configuration issue.
However, I perform tests on 2 PC with the same configuration (LDAP Authentication, home areas served by NFS + automount, multimonitor) :
- PC 1 using Marco Trevisan's unity package (https://launchpad.net/~3v1n0/+archive/ubuntu/unity-tests) works perfectly since installation of Marco's package (2014-09-11), before I get this issue every couple days, so I think Marco Trevisan's unity package probably fixed this bug.
- PC 2 using Unity up to date from Ubuntu repository, I get this issue randomly (about once a week).
So I think this is an issue related to Unity.

Like there is a known and not solved Unity bug about this issue, for me, this is not logical to search the cause of this bug elsewhere (maybe I'm wrong).

So msp3k and Philipp Wendler (and others using LDAP authentication), could you test Marco Trevisan's unity package and tell us if it solves this bug ? https://launchpad.net/~3v1n0/+archive/ubuntu/unity-tests

Andrea Azzarone (azzar1) wrote :

> All these services (login, lightdm, polkit-1, sudo, sshd) are working fine.

They run as root that's why. Try to lock using gnome-screensaver (without running it as root!) and let me know if you can unlock the screen.

David (executive) wrote :

I've been suffering this bug for months now. Today I noticed some issues with window animations before it happened, and it came to my mind that it might be compiz-related. I killed compiz and the login screen was gone, without losing the unity session. It's the first time that I manage to go back to my session without losing the data.

This is a Sony Vaio running Ubuntu 14.04.1 with dual monitor.

After that, when the screen lock appeared again, the password field was there.

This seems to me a better workaround than unity --replace, if it proves to work consistently. Worth trying it.

For infomation :
I used Marco Trevisan's unity package since 2014-09-11 without getting this issue.
This morning I installed unity (up to date) from Ubuntu repository and I just get this issue.
Like David, the first times I get this bug, I noticed some issues with window animations before it happened (windows were moving very slowly).

Matt Zuba (matt-mattzuba) wrote :

@andyrock

mzuba@d000-mzuba1:~$ ls -l /sbin/unix_chkpwd
-rwxr-sr-x 1 root shadow 35536 Jan 31 2014 /sbin/unix_chkpwd

I am using LDAP via PBIS fwiw.

At home, I have a dual monitor setup (as opposed to tri-monitor at work) and I do not use LDAP and do not have this issue.

msp3k (peek-nimbios) wrote :

1) Maybe I'm just derping, but how do I run gnome-screensaver?

$ ps -ef | grep -i screensaver
peek 24604 24163 0 08:51 pts/47 00:00:00 grep -i screensaver
$ gnome-screensaver

** (gnome-screensaver:24665): WARNING **: screensaver already running in
this session

2) If this is an LDAP issue, then why does it only affect 1 out of my
110 users?

I thank you guys for your hard work on this, and if there is anything I
can do to help track down the source of the problem let me know.

Michael Peek

On 12/08/2014 01:57 PM, Andrea Azzarone wrote:
>> All these services (login, lightdm, polkit-1, sudo, sshd) are working
> fine.
>
> They run as root that's why. Try to lock using gnome-screensaver
> (without running it as root!) and let me know if you can unlock the
> screen.
>

Andrea Azzarone (azzar1) wrote :

You need to enable accessibility (e.g. on screen keyabord) from the control
center.

2014-12-09 14:56 GMT+01:00 msp3k <email address hidden>:

> 1) Maybe I'm just derping, but how do I run gnome-screensaver?
>
> $ ps -ef | grep -i screensaver
> peek 24604 24163 0 08:51 pts/47 00:00:00 grep -i screensaver
> $ gnome-screensaver
>
> ** (gnome-screensaver:24665): WARNING **: screensaver already running in
> this session
>
> 2) If this is an LDAP issue, then why does it only affect 1 out of my
> 110 users?
>
>
> I thank you guys for your hard work on this, and if there is anything I
> can do to help track down the source of the problem let me know.
>
>
> Michael Peek
>
> On 12/08/2014 01:57 PM, Andrea Azzarone wrote:
> >> All these services (login, lightdm, polkit-1, sudo, sshd) are working
> > fine.
> >
> > They run as root that's why. Try to lock using gnome-screensaver
> > (without running it as root!) and let me know if you can unlock the
> > screen.
> >
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1311316
>
> Title:
> After locking screen there is no input field to type password for
> unlock
>
> Status in Unity:
> Confirmed
> Status in Unity 7.2 series:
> Confirmed
> Status in unity package in Ubuntu:
> Fix Released
>
> Bug description:
> Sometimes (but not always) after locking the screen there is the
> situation not having any input field where I can type the password to
> unlock the session again. The shaded gray area simply does not have
> the input field. I can't do anything, I have to switch to text console
> and stop/start lightdm service to cure the problem loosing all of my
> session :(
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: unity 7.2.0+14.04.20140416-0ubuntu1
> ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
> Uname: Linux 3.13.0-24-generic i686
> ApportVersion: 2.14.1-0ubuntu3
> Architecture: i386
> CompizPlugins: No value set for
> `/apps/compiz-1/general/screen0/options/active_plugins'
> CurrentDesktop: Unity
> Date: Tue Apr 22 22:17:57 2014
> InstallationDate: Installed on 2012-03-03 (780 days ago)
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386
> (20110427.1)
> SourcePackage: unity
> UpgradeStatus: Upgraded to trusty on 2013-10-18 (186 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/1311316/+subscriptions
>

--
Andrea Azzarone
http://launchpad.net/~andyrock
http://wiki.ubuntu.com/AndreaAzzarone

description: updated
msp3k (peek-nimbios) wrote :

Okay, I set System Settings > Universal Access > Typing > On Screen
Keyboard = On
Then I hit alt+control+L to lock.
Sure enough, I got what looks like gnome-screensaver.
Via an SSH login I confirmed that gnome-screensaver was indeed running,
and running as me and not as root.

Entering my password returned me to the desktop with no problem.
I repeated the lock test four times.

I'll ask my boss to make the same settings change and let me know if/how
that changes things for him, and pass the results on to you guys.

Michael Peek

On 12/09/2014 09:28 AM, Andrea Azzarone wrote:
> You need to enable accessibility (e.g. on screen keyabord) from the control
> center.
>
> 2014-12-09 14:56 GMT+01:00 msp3k <email address hidden>:
>
>> 1) Maybe I'm just derping, but how do I run gnome-screensaver?
>>
>> $ ps -ef | grep -i screensaver
>> peek 24604 24163 0 08:51 pts/47 00:00:00 grep -i screensaver
>> $ gnome-screensaver
>>
>> ** (gnome-screensaver:24665): WARNING **: screensaver already running in
>> this session
>>
>> 2) If this is an LDAP issue, then why does it only affect 1 out of my
>> 110 users?
>>
>>
>> I thank you guys for your hard work on this, and if there is anything I
>> can do to help track down the source of the problem let me know.
>>
>>
>> Michael Peek
>>
>> On 12/08/2014 01:57 PM, Andrea Azzarone wrote:
>>>> All these services (login, lightdm, polkit-1, sudo, sshd) are working
>>> fine.
>>>
>>> They run as root that's why. Try to lock using gnome-screensaver
>>> (without running it as root!) and let me know if you can unlock the
>>> screen.
>>>
>> --
>> You received this bug notification because you are a bug assignee.
>> https://bugs.launchpad.net/bugs/1311316
>>
>> Title:
>> After locking screen there is no input field to type password for
>> unlock
>>
>> Status in Unity:
>> Confirmed
>> Status in Unity 7.2 series:
>> Confirmed
>> Status in unity package in Ubuntu:
>> Fix Released
>>
>> Bug description:
>> Sometimes (but not always) after locking the screen there is the
>> situation not having any input field where I can type the password to
>> unlock the session again. The shaded gray area simply does not have
>> the input field. I can't do anything, I have to switch to text console
>> and stop/start lightdm service to cure the problem loosing all of my
>> session :(
>>
>> ProblemType: Bug
>> DistroRelease: Ubuntu 14.04
>> Package: unity 7.2.0+14.04.20140416-0ubuntu1
>> ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
>> Uname: Linux 3.13.0-24-generic i686
>> ApportVersion: 2.14.1-0ubuntu3
>> Architecture: i386
>> CompizPlugins: No value set for
>> `/apps/compiz-1/general/screen0/options/active_plugins'
>> CurrentDesktop: Unity
>> Date: Tue Apr 22 22:17:57 2014
>> InstallationDate: Installed on 2012-03-03 (780 days ago)
>> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386
>> (20110427.1)
>> SourcePackage: unity
>> UpgradeStatus: Upgraded to trusty on 2013-10-18 (186 days ago)
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/unity/+bug/1311316/+subscriptions
>>
>

msp3k (peek-nimbios) wrote :

1) The bug just bit my boss again. Here's the auth.log:

Dec 10 09:13:23 anolis compiz: PAM unable to dlopen(pam_kwallet.so):
/lib/security/pam_kwallet.so: cannot open shared object file: No such
file or directory
Dec 10 09:13:23 anolis compiz: PAM adding faulty module: pam_kwallet.so
Dec 10 09:15:01 anolis CRON[21745]: pam_unix(cron:session): session
opened for user root by (uid=0)
Dec 10 09:15:01 anolis CRON[21744]: pam_unix(cron:session): session
opened for user root by (uid=0)
Dec 10 09:15:01 anolis CRON[21744]: pam_unix(cron:session): session
closed for user root
Dec 10 09:15:03 anolis CRON[21745]: pam_unix(cron:session): session
closed for user root
Dec 10 09:20:42 anolis sshd[21993]: Accepted publickey for root from
160.36.130.180 port 33420 ssh2: RSA
fe:34:35:5b:47:90:1b:7f:fb:cb:7d:5c:2e:32:69:f5
Dec 10 09:20:42 anolis sshd[21993]: pam_unix(sshd:session): session
opened for user root by (uid=0)
Dec 10 09:20:56 anolis compiz: PAM unable to dlopen(pam_kwallet.so):
/lib/security/pam_kwallet.so: cannot open shared object file: No such
file or directory
Dec 10 09:20:56 anolis compiz: PAM adding faulty module: pam_kwallet.so
Dec 10 09:21:01 anolis CRON[22258]: pam_unix(cron:session): session
opened for user root by (uid=0)
Dec 10 09:21:03 anolis CRON[22258]: pam_unix(cron:session): session
closed for user root
Dec 10 09:22:02 anolis sshd[22333]: Accepted publickey for root from
160.36.130.180 port 33431 ssh2: RSA
fe:34:35:5b:47:90:1b:7f:fb:cb:7d:5c:2e:32:69:f5
Dec 10 09:22:02 anolis sshd[22333]: pam_unix(sshd:session): session
opened for user root by (uid=0)

There's nothing out of the ordinary here compared to my other hosts.
There's a mysterious complaint about pam_kwallet.so, but all of my hosts
complain about that.

2) There is something new to note:

When the bug bites, not only is there no password field, but the
indicator apps also disappear from the top-right of the screen. I
noticed this when I tried to switch to another user in hopes of being
able to log back in. Attached is a screenshot I grabbed via vinagre.

3) I set System Settings > Universal Access > Typing > On Screen
Keyboard = On

We'll see if the problem persists when using gnome-screensaver.

Michael Peek

On 11/23/2014 08:40 AM, Andrea Azzarone wrote:
> Can you post your auth.log?
>

harrychillboy (harrychillboy) wrote :

These lines appear as error meesages in auth.log
====================

Dec 10 07:26:10 ThinkPad dbus[724]: [system] Rejected send message, 7 matched rules; type="method_return", sender=":1.44" (uid=0 pid=1647 comm="/usr/sbin/dnsmasq --no-resolv --keep-in-foreground") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.5" (uid=0 pid=799 comm="NetworkManager ")

Dec 10 10:43:06 ThinkPad unix_chkpwd[8658]: password check failed for user (xxxxxx)
Dec 10 10:43:06 ThinkPad compiz: pam_unix(lightdm:auth): authentication failure; logname= uid=1000 euid=1000 tty= ruser= rhost= user=xxxxxxxx

Dec 11 08:12:14 ThinkPad lightdm: PAM adding faulty module: pam_kwallet.so
Dec 11 08:12:14 ThinkPad lightdm: pam_unix(lightdm-greeter:session): session opened for user lightdm by (uid=0)
Dec 11 08:12:14 ThinkPad lightdm: pam_ck_connector(lightdm-greeter:session): nox11 mode, ignoring PAM_TTY :0
Dec 11 08:12:14 ThinkPad lightdm: PAM unable to dlopen(pam_kwallet.so): /lib/security/pam_kwallet.so: cannot open shared object file: No such file or directory
Dec 11 08:12:14 ThinkPad lightdm: PAM adding faulty module: pam_kwallet.so
Dec 11 08:12:14 ThinkPad lightdm: pam_succeed_if(lightdm:auth): requirement "user ingroup nopasswdlogin" not met by user "xxxxxxxx"

=============================

Let me know if anyone needs more info.
This has become a real headache. I can't give up using dual monitors and also love ubuntu. Sometimes I have to restart my system few times in the day. I think it has something with SLEEP functionality.

Andrea Azzarone (azzar1) wrote :
Download full text (3.8 KiB)

Please consider answering the question markes ad *** IMPORTANT *** in the
description.

2014-12-11 1:26 GMT+01:00 harrychillboy <email address hidden>:

> These lines appear as error meesages in auth.log
> ====================
>
> Dec 10 07:26:10 ThinkPad dbus[724]: [system] Rejected send message, 7
> matched rules; type="method_return", sender=":1.44" (uid=0 pid=1647
> comm="/usr/sbin/dnsmasq --no-resolv --keep-in-foreground")
> interface="(unset)" member="(unset)" error name="(unset)"
> requested_reply="0" destination=":1.5" (uid=0 pid=799
> comm="NetworkManager ")
>
> Dec 10 10:43:06 ThinkPad unix_chkpwd[8658]: password check failed for user
> (xxxxxx)
> Dec 10 10:43:06 ThinkPad compiz: pam_unix(lightdm:auth): authentication
> failure; logname= uid=1000 euid=1000 tty= ruser= rhost= user=xxxxxxxx
>
>
> Dec 11 08:12:14 ThinkPad lightdm: PAM adding faulty module: pam_kwallet.so
> Dec 11 08:12:14 ThinkPad lightdm: pam_unix(lightdm-greeter:session):
> session opened for user lightdm by (uid=0)
> Dec 11 08:12:14 ThinkPad lightdm:
> pam_ck_connector(lightdm-greeter:session): nox11 mode, ignoring PAM_TTY :0
> Dec 11 08:12:14 ThinkPad lightdm: PAM unable to dlopen(pam_kwallet.so):
> /lib/security/pam_kwallet.so: cannot open shared object file: No such file
> or directory
> Dec 11 08:12:14 ThinkPad lightdm: PAM adding faulty module: pam_kwallet.so
> Dec 11 08:12:14 ThinkPad lightdm: pam_succeed_if(lightdm:auth):
> requirement "user ingroup nopasswdlogin" not met by user "xxxxxxxx"
>
> =============================
>
> Let me know if anyone needs more info.
> This has become a real headache. I can't give up using dual monitors and
> also love ubuntu. Sometimes I have to restart my system few times in the
> day. I think it has something with SLEEP functionality.
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1311316
>
> Title:
> After locking screen there is no input field to type password for
> unlock
>
> Status in Unity:
> Confirmed
> Status in Unity 7.2 series:
> Confirmed
> Status in unity package in Ubuntu:
> Fix Released
>
> Bug description:
> *** IMPORTANT **
> If you can reproduce this bug please be sure to provide the following
> info:
> 1. Do you use a multi-head setup?
> 2. Can you reproduce all the time?
> 3. Do you use ldap? If yes, using gnome-screensaver fix the issue (see
> comment #115) can you still reproduce that?
> 4. Please consider posting /var/log/auth.log (at least part of it,
> should not contain sensitive information)
> 5. Please specify the unity version
> *** END IMPORTANT **
>
> Sometimes (but not always) after locking the screen there is the
> situation not having any input field where I can type the password to
> unlock the session again. The shaded gray area simply does not have
> the input field. I can't do anything, I have to switch to text console
> and stop/start lightdm service to cure the problem loosing all of my
> session :(
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: unity 7.2.0+14.04.20140416-0ubuntu1
> ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
> Uname: Linux 3....

Read more...

description: updated
msp3k (peek-nimbios) wrote :

On 12/10/2014 09:24 PM, Andrea Azzarone wrote:
> Please consider answering the question markes ad *** IMPORTANT *** in the
> description.
>
> 2014-12-11 1:26 GMT+01:00 harrychillboy <email address hidden>:
>
> Bug description:
> *** IMPORTANT **
> If you can reproduce this bug please be sure to provide the following
> info:
> 1. Do you use a multi-head setup?
> 2. Can you reproduce all the time?
> 3. Do you use ldap? If yes, using gnome-screensaver fix the issue (see
> comment #115) can you still reproduce that?
> 4. Please consider posting /var/log/auth.log (at least part of it,
> should not contain sensitive information)
> 5. Please specify the unity version
> *** END IMPORTANT **
>

1. Yes. Dual monitors.
2. No. The problem is random.
3. Yes. We have just switched to gnome-screensaver for testing
purposes. Initial tests look promising.
4. Included auth.log entries in a previous message
5. unity 7.2.3+14.04.20140826-0ubuntu1

Michael Peek

Andrea Azzarone (azzar1) wrote :

Can you try: 7.3.1+14.10.20140904-0ubuntu1?

Andrea Azzarone (azzar1) wrote :

Seems like there is a misunderstanding: the fix is not included in Trusty (14.04 LTS) but just in 14.10+. Will be inclued in next SRU.

description: updated
Changed in unity:
status: Confirmed → Fix Committed
tom@inetz (09r-tom-anz) wrote :

Andrea Azzarone (andyrock)... This problem happens about every other day. It appears to be relatively random, but quite often. Here is the output from "ls -l /sbin/unix_chkpwd"

-rwxr-sr-x 1 root shadow 35536 Jan 31 2014 /sbin/unix_chkpwd

And attached is my auth.log (auth.log.zip).

Andrea Azzarone (azzar1) wrote :

The fix will be present with next SRU (14.04). Should be already fixed in 14.10.

Andrea Azzarone (azzar1) wrote :

Consider also installing the Marco's ppa linked in the past comments.

zasran (erik-zasran) wrote :

As far as I can tell it is fixed in 14.10, been running it for some time and the bug wasn't triggered happen.

Adam (spyro-i) wrote :

The password input box also disappears on Ubuntu 14.10.

theghost (theghost) wrote :

As stated in #64, I can also confirm this bug for 14.10.

I had a new development.. Maybe I should report as a new bug? In case this helps anyone as a workaround or to fix the bug I thought I would post here:

I had the lock screen complain of the wrong password. I sure it was the right one as I tried many times and eventually opened a virtual terminal where the password worked (tried several times again in the lockscreen to be sure) BUT instead of using the unity or compiz trick as usual I found this process with ps -ef:

/usr/lib/unity/unity-panel-service --lockscreen-mode

and killed it, then the lock screen would take the password. This might be something for you to try I guess as as a workaround next time.. At least when I restarted the old way, the desktop, that is the panel, didn't quite work afterwards (at least the time disappears from the panel), and I would restart after getting in to be on the safe side. I might do that now also, but at least I do not seem to have any problems.

[This may not stricly be the same bug, but I guess the bug is in the same program and I would guess both this and the bug in the subject have the same root cause - memory at some point running out and making trouble afterwards.]

Andrea Azzarone (azzar1) wrote :
Download full text (3.4 KiB)

Do you have multiple keyboard layouts?
On 6 Jan 2015 16:11, "Páll Haraldsson" <email address hidden> wrote:

> I had a new development.. Maybe I should report as a new bug? In case
> this helps anyone as a workaround or to fix the bug I thought I would
> post here:
>
> I had the lock screen complain of the wrong password. I sure it was the
> right one as I tried many times and eventually opened a virtual terminal
> where the password worked (tried several times again in the lockscreen
> to be sure) BUT instead of using the unity or compiz trick as usual I
> found this process with ps -ef:
>
> /usr/lib/unity/unity-panel-service --lockscreen-mode
>
> and killed it, then the lock screen would take the password. This might
> be something for you to try I guess as as a workaround next time.. At
> least when I restarted the old way, the desktop, that is the panel,
> didn't quite work afterwards (at least the time disappears from the
> panel), and I would restart after getting in to be on the safe side. I
> might do that now also, but at least I do not seem to have any problems.
>
> [This may not stricly be the same bug, but I guess the bug is in the
> same program and I would guess both this and the bug in the subject have
> the same root cause - memory at some point running out and making
> trouble afterwards.]
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1311316
>
> Title:
> After locking screen there is no input field to type password for
> unlock
>
> Status in Unity:
> Fix Committed
> Status in Unity 7.2 series:
> In Progress
> Status in unity package in Ubuntu:
> Fix Released
>
> Bug description:
> *** IMPORTANT **
>
> *** The fix is not included in TRUSTY. Will be included with next SRU.
> ***
>
> If you can reproduce this bug please be sure to provide the following
> info:
> 1. Do you use a multi-head setup? If yes, using just one monitor fixes
> the issue?
> 2. Can you reproduce all the time?
> 3. Do you use ldap? If yes, using gnome-screensaver fix the issue (see
> comment #115) can you still reproduce that?
> 4. Please consider posting /var/log/auth.log (at least part of it,
> should not contain sensitive information)
> 5. Please specify the unity version
> *** END IMPORTANT **
>
> Sometimes (but not always) after locking the screen there is the
> situation not having any input field where I can type the password to
> unlock the session again. The shaded gray area simply does not have
> the input field. I can't do anything, I have to switch to text console
> and stop/start lightdm service to cure the problem loosing all of my
> session :(
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: unity 7.2.0+14.04.20140416-0ubuntu1
> ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
> Uname: Linux 3.13.0-24-generic i686
> ApportVersion: 2.14.1-0ubuntu3
> Architecture: i386
> CompizPlugins: No value set for
> `/apps/compiz-1/general/screen0/options/active_plugins'
> CurrentDesktop: Unity
> Date: Tue Apr 22 22:17:57 2014
> InstallationDate: Installed on 2012-03-03 (780 days ago)
> InstallationMedi...

Read more...

>Do you have multiple keyboard layouts?

Yes, BUT I think you are getting at that with my layout the password would change if I press the same keys in another layout. It doesn't (matter if the English one is used). It's a guess.

You think this could be adifferent manifestation if the same bug? Should *I* file a new one?

Andrea Azzarone (azzar1) wrote :

It's a dfferrent new bug. I think there is already a similar bug open. What
languages are you using? Please try to unlock after changing the language
in the keyboard indicator.
On 7 Jan 2015 09:41, "Páll Haraldsson" <email address hidden> wrote:

> >Do you have multiple keyboard layouts?
>
> Yes, BUT I think you are getting at that with my layout the password
> would change if I press the same keys in another layout. It doesn't
> (matter if the English one is used). It's a guess.
>
> You think this could be adifferent manifestation if the same bug? Should
> *I* file a new one?
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1311316
>
> Title:
> After locking screen there is no input field to type password for
> unlock
>
> Status in Unity:
> Fix Committed
> Status in Unity 7.2 series:
> In Progress
> Status in unity package in Ubuntu:
> Fix Released
>
> Bug description:
> *** IMPORTANT **
>
> *** The fix is not included in TRUSTY. Will be included with next SRU.
> ***
>
> If you can reproduce this bug please be sure to provide the following
> info:
> 1. Do you use a multi-head setup? If yes, using just one monitor fixes
> the issue?
> 2. Can you reproduce all the time?
> 3. Do you use ldap? If yes, using gnome-screensaver fix the issue (see
> comment #115) can you still reproduce that?
> 4. Please consider posting /var/log/auth.log (at least part of it,
> should not contain sensitive information)
> 5. Please specify the unity version
> *** END IMPORTANT **
>
> Sometimes (but not always) after locking the screen there is the
> situation not having any input field where I can type the password to
> unlock the session again. The shaded gray area simply does not have
> the input field. I can't do anything, I have to switch to text console
> and stop/start lightdm service to cure the problem loosing all of my
> session :(
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: unity 7.2.0+14.04.20140416-0ubuntu1
> ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
> Uname: Linux 3.13.0-24-generic i686
> ApportVersion: 2.14.1-0ubuntu3
> Architecture: i386
> CompizPlugins: No value set for
> `/apps/compiz-1/general/screen0/options/active_plugins'
> CurrentDesktop: Unity
> Date: Tue Apr 22 22:17:57 2014
> InstallationDate: Installed on 2012-03-03 (780 days ago)
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386
> (20110427.1)
> SourcePackage: unity
> UpgradeStatus: Upgraded to trusty on 2013-10-18 (186 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/1311316/+subscriptions
>

>It's a dfferrent new bug. I think there is already a similar bug open. What
languages are you using? Please try to unlock after changing the language
in the keyboard indicator.

I use Icelandic. It has extra letters, such as þæðöÞÆÐÖ (and accented), over English (as it is a superset I never change to English layout) but as I said I'm not using those in my password. And this bug had just happened for the first time while getting no password prompt has happened many times. I changed to gnome-shell, at least to try out, so I do not expect the bug to happen there..

nybbler (nybbler77) wrote :
Download full text (3.3 KiB)

I've just run into this with Ubuntu 14.04.1, updated today at about 15:45. I didn't happen immediately after the update, in fact it was fine for a few hours so I think it's unlikely to be related.

Some info:
* unity --version: unity 7.2.3
* uname -r -v -p -i -o: 3.13.0-43-generic #72-Ubuntu SMP Mon Dec 8 19:35:06 UTC 2014 x86_64 x86_64 GNU/Linux
* Dual-head?: yes, 2 monitors
* modified pam?: no, and not using ldap
* Running 2 VMware Workstation 10 VMs (both Windows 7 x86_64)

I have too much work (in VMs) going to risk re-setting unity, so I'm going to have to wait for it to timeout and hope!

Some redacted output from /var/log/auth.log:

Jan 8 14:24:12 machinename compiz: PAM unable to dlopen(pam_kwallet.so): /lib/security/pam_kwallet.so: cannot open shared object file: No such file or directory
Jan 8 14:24:12 machinename compiz: PAM adding faulty module: pam_kwallet.so
Jan 8 14:24:12 machinename compiz: pam_succeed_if(lightdm:auth): requirement "user ingroup nopasswdlogin" not met by user "my-username"
Jan 8 14:39:43 machinename compiz: gkr-pam: unlocked login keyring
Jan 8 14:41:59 machinename compiz: PAM unable to dlopen(pam_kwallet.so): /lib/security/pam_kwallet.so: cannot open shared object file: No such file or directory
Jan 8 14:41:59 machinename compiz: PAM adding faulty module: pam_kwallet.so
Jan 8 14:41:59 machinename compiz: pam_succeed_if(lightdm:auth): requirement "user ingroup nopasswdlogin" not met by user "my-username"
Jan 8 14:42:57 machinename compiz: gkr-pam: unlocked login keyring
Jan 8 14:43:04 machinename compiz: PAM unable to dlopen(pam_kwallet.so): /lib/security/pam_kwallet.so: cannot open shared object file: No such file or directory
Jan 8 14:43:04 machinename compiz: PAM adding faulty module: pam_kwallet.so
Jan 8 14:43:04 machinename compiz: pam_succeed_if(lightdm:auth): requirement "user ingroup nopasswdlogin" not met by user "my-username"
Jan 8 14:47:37 machinename compiz: PAM unable to dlopen(pam_kwallet.so): /lib/security/pam_kwallet.so: cannot open shared object file: No such file or directory
Jan 8 14:47:37 machinename compiz: PAM adding faulty module: pam_kwallet.so
Jan 8 14:47:37 machinename compiz: pam_succeed_if(lightdm:auth): requirement "user ingroup nopasswdlogin" not met by user "my-username"
Jan 8 14:47:41 machinename compiz: gkr-pam: unlocked login keyring
Jan 8 14:48:38 machinename compiz: PAM unable to dlopen(pam_kwallet.so): /lib/security/pam_kwallet.so: cannot open shared object file: No such file or directory
Jan 8 14:48:38 machinename compiz: PAM adding faulty module: pam_kwallet.so
Jan 8 14:48:38 machinename compiz: pam_succeed_if(lightdm:auth): requirement "user ingroup nopasswdlogin" not met by user "my-username"
Jan 8 14:49:01 machinename compiz: PAM unable to dlopen(pam_kwallet.so): /lib/security/pam_kwallet.so: cannot open shared object file: No such file or directory
Jan 8 14:49:01 machinename compiz: PAM adding faulty module: pam_kwallet.so
Jan 8 14:49:10 machinename compiz: gkr-pam: unlocked login keyring
Jan 8 14:49:10 machinename compiz: pam_succeed_if(lightdm:auth): requirement "user ingroup nopasswdlogin" not met by user "my-username"
Jan 8 14:54:45 machinen...

Read more...

Andrea Azzarone (azzar1) wrote :
Download full text (5.9 KiB)

Robin, a fix for this issue is scheduled for next SRU (almost ready!).
Resetting unity from tt1 should be just fine. Or you can run metacity
--replace.

2015-01-08 17:01 GMT+01:00 nybbler <email address hidden>:

> I've just run into this with Ubuntu 14.04.1, updated today at about
> 15:45. I didn't happen immediately after the update, in fact it was fine
> for a few hours so I think it's unlikely to be related.
>
> Some info:
> * unity --version: unity 7.2.3
> * uname -r -v -p -i -o: 3.13.0-43-generic #72-Ubuntu SMP Mon Dec 8
> 19:35:06 UTC 2014 x86_64 x86_64 GNU/Linux
> * Dual-head?: yes, 2 monitors
> * modified pam?: no, and not using ldap
> * Running 2 VMware Workstation 10 VMs (both Windows 7 x86_64)
>
> I have too much work (in VMs) going to risk re-setting unity, so I'm
> going to have to wait for it to timeout and hope!
>
> Some redacted output from /var/log/auth.log:
>
> Jan 8 14:24:12 machinename compiz: PAM unable to dlopen(pam_kwallet.so):
> /lib/security/pam_kwallet.so: cannot open shared object file: No such file
> or directory
> Jan 8 14:24:12 machinename compiz: PAM adding faulty module:
> pam_kwallet.so
> Jan 8 14:24:12 machinename compiz: pam_succeed_if(lightdm:auth):
> requirement "user ingroup nopasswdlogin" not met by user "my-username"
> Jan 8 14:39:43 machinename compiz: gkr-pam: unlocked login keyring
> Jan 8 14:41:59 machinename compiz: PAM unable to dlopen(pam_kwallet.so):
> /lib/security/pam_kwallet.so: cannot open shared object file: No such file
> or directory
> Jan 8 14:41:59 machinename compiz: PAM adding faulty module:
> pam_kwallet.so
> Jan 8 14:41:59 machinename compiz: pam_succeed_if(lightdm:auth):
> requirement "user ingroup nopasswdlogin" not met by user "my-username"
> Jan 8 14:42:57 machinename compiz: gkr-pam: unlocked login keyring
> Jan 8 14:43:04 machinename compiz: PAM unable to dlopen(pam_kwallet.so):
> /lib/security/pam_kwallet.so: cannot open shared object file: No such file
> or directory
> Jan 8 14:43:04 machinename compiz: PAM adding faulty module:
> pam_kwallet.so
> Jan 8 14:43:04 machinename compiz: pam_succeed_if(lightdm:auth):
> requirement "user ingroup nopasswdlogin" not met by user "my-username"
> Jan 8 14:47:37 machinename compiz: PAM unable to dlopen(pam_kwallet.so):
> /lib/security/pam_kwallet.so: cannot open shared object file: No such file
> or directory
> Jan 8 14:47:37 machinename compiz: PAM adding faulty module:
> pam_kwallet.so
> Jan 8 14:47:37 machinename compiz: pam_succeed_if(lightdm:auth):
> requirement "user ingroup nopasswdlogin" not met by user "my-username"
> Jan 8 14:47:41 machinename compiz: gkr-pam: unlocked login keyring
> Jan 8 14:48:38 machinename compiz: PAM unable to dlopen(pam_kwallet.so):
> /lib/security/pam_kwallet.so: cannot open shared object file: No such file
> or directory
> Jan 8 14:48:38 machinename compiz: PAM adding faulty module:
> pam_kwallet.so
> Jan 8 14:48:38 machinename compiz: pam_succeed_if(lightdm:auth):
> requirement "user ingroup nopasswdlogin" not met by user "my-username"
> Jan 8 14:49:01 machinename compiz: PAM unable to dlopen(pam_kwallet.so):
> /lib/security/pam_kwallet.so: cannot open shared object file: No such fi...

Read more...

nybbler (nybbler77) wrote :
Download full text (8.0 KiB)

Hi Andrea,

Thanks for the reply. It wasn't until I posted that I noticed my unity
version was still old. Goes to show I shouldn't make assumptions about what
gets updated!

Cheers,
Robin
Robin, a fix for this issue is scheduled for next SRU (almost ready!).
Resetting unity from tt1 should be just fine. Or you can run metacity
--replace.

2015-01-08 17:01 GMT+01:00 nybbler <email address hidden>:

> I've just run into this with Ubuntu 14.04.1, updated today at about
> 15:45. I didn't happen immediately after the update, in fact it was fine
> for a few hours so I think it's unlikely to be related.
>
> Some info:
> * unity --version: unity 7.2.3
> * uname -r -v -p -i -o: 3.13.0-43-generic #72-Ubuntu SMP Mon Dec 8
> 19:35:06 UTC 2014 x86_64 x86_64 GNU/Linux
> * Dual-head?: yes, 2 monitors
> * modified pam?: no, and not using ldap
> * Running 2 VMware Workstation 10 VMs (both Windows 7 x86_64)
>
> I have too much work (in VMs) going to risk re-setting unity, so I'm
> going to have to wait for it to timeout and hope!
>
> Some redacted output from /var/log/auth.log:
>
> Jan 8 14:24:12 machinename compiz: PAM unable to dlopen(pam_kwallet.so):
> /lib/security/pam_kwallet.so: cannot open shared object file: No such file
> or directory
> Jan 8 14:24:12 machinename compiz: PAM adding faulty module:
> pam_kwallet.so
> Jan 8 14:24:12 machinename compiz: pam_succeed_if(lightdm:auth):
> requirement "user ingroup nopasswdlogin" not met by user "my-username"
> Jan 8 14:39:43 machinename compiz: gkr-pam: unlocked login keyring
> Jan 8 14:41:59 machinename compiz: PAM unable to dlopen(pam_kwallet.so):
> /lib/security/pam_kwallet.so: cannot open shared object file: No such file
> or directory
> Jan 8 14:41:59 machinename compiz: PAM adding faulty module:
> pam_kwallet.so
> Jan 8 14:41:59 machinename compiz: pam_succeed_if(lightdm:auth):
> requirement "user ingroup nopasswdlogin" not met by user "my-username"
> Jan 8 14:42:57 machinename compiz: gkr-pam: unlocked login keyring
> Jan 8 14:43:04 machinename compiz: PAM unable to dlopen(pam_kwallet.so):
> /lib/security/pam_kwallet.so: cannot open shared object file: No such file
> or directory
> Jan 8 14:43:04 machinename compiz: PAM adding faulty module:
> pam_kwallet.so
> Jan 8 14:43:04 machinename compiz: pam_succeed_if(lightdm:auth):
> requirement "user ingroup nopasswdlogin" not met by user "my-username"
> Jan 8 14:47:37 machinename compiz: PAM unable to dlopen(pam_kwallet.so):
> /lib/security/pam_kwallet.so: cannot open shared object file: No such file
> or directory
> Jan 8 14:47:37 machinename compiz: PAM adding faulty module:
> pam_kwallet.so
> Jan 8 14:47:37 machinename compiz: pam_succeed_if(lightdm:auth):
> requirement "user ingroup nopasswdlogin" not met by user "my-username"
> Jan 8 14:47:41 machinename compiz: gkr-pam: unlocked login keyring
> Jan 8 14:48:38 machinename compiz: PAM unable to dlopen(pam_kwallet.so):
> /lib/security/pam_kwallet.so: cannot open shared object file: No such file
> or directory
> Jan 8 14:48:38 machinename compiz: PAM adding faulty module:
> pam_kwallet.so
> Jan 8 14:48:38 machinename compiz: pam_succeed_if(lightdm:auth):
> requirement "user ingroup nopassw...

Read more...

Same problem here:
  - No LDAP
  - Dual-monitor setup (Intel HD graphics in i7-4770)
  - Usually two users are logged in graphically (VC 7 and 8)
  - Usually it starts happening for the second user (VC 8):
      - The box on the locked screen shows the user's name,
      - The box does not show the password entry field,
      - There are no icons shown in the top bar (i.e. no way to shutdown).
  - As long as the problem doesn't happen on the other VC, the session on the
    problematic VC can be recovered by:
      - Switching to the still working VC (which is in locked screen mode),
      - Clicking on the icon in the upper right corner, and selection "Switch
        Account...". Directly selecting the right account in the menu does NOT
        work, and merely switches to the problematic VC.
      - A new lightdm session appears. Log in with the account of the user
        whose session has problems.
      - The system switches to the problematic VC, and unlocks it.
  - Logging in on text VC1 and running "unity --replace" unlocks the
    problematic VC, but kills compiz.
  - Running "compiz --replace" in the graphical session restarts compiz, and
    locks the screen again, now showing a password entry box.
  - After unlocking the screen, everything works again, but all open windows
    have been been moved to the first desktop, so I have to untangle the desktop
    clutter manually.

> - After unlocking the screen, everything works again, but all open windows
> have been been moved to the first desktop, so I have to untangle the desktop
> clutter manually.

I spoke too soon.

During untangling my desktop after pressing Super-S, I noticed:
  - Some fullscreen evince windows don't want to be moved to another desktop,
    they always pop back to desktop 0. It seems they have lost their close/minimize/
    maximize icons, too.
  - Moving windows after Super-S is slower than usual, and sometimes complety
    blocks, so I have to press Super-S twice to continue.
So I gave up and logged out, and can online recommend "unity --replace" and
"compiz --replace" to recover critical applications that had been left open.

Burko (rs205) wrote :

its funny that you noticed, because I filled a bug report about that right about 10 min ago. See here: https://bugs.launchpad.net/unity/+bug/1409121

It would be nice if you could add your experiences to it.

Stephen M. Webb (bregma) wrote :

Yeah, I'm going to go ahead and suggest folks try adding the PPA at https://launchpad.net/~ci-train-ppa-service/+archive/ubuntu/landing-004 to their sources and update to the Unity found there. It contains a whole slew of bugfixes currently in the SRU landing pattern, including a bunch of the "me too" bugs getting reported here.

The release in the PPA should land in trusty-updates real soon (due diligence and all), but in the mean time should help a lot of these lockscreen authentication problems.

Lesley Walker (lrw) wrote :

1. Do you use a multi-head setup? -- yes

If yes, using just one monitor fixes the issue? -- Sorry, I need them both, can't test

2. Can you reproduce all the time? -- No, it only seems to happen after several weeks of uptime.

3. Do you use ldap? -- I tried to, but couldn't get it working.

https://launchpad.net/~ci-train-ppa-service/+archive/ubuntu/landing-004 -- installed a few days ago, waiting until at least mid-February to see if it happens again.

Pablo Catalina (xkill) wrote :

I have the same problem. It happens randomly.

My environment when the problem appears:
* 2 screens, the problem normally affects both monitors, but sometimes the input box for the password appears on one of the monitors... it is random.
* 1 session (I only have one user)
* normally I have a rdesktop session opened when the problem happends.

$ unity --version
unity 7.2.3

$ dpkg -l unity
[...]
ii unity 7.2.3+14.04.20140826-0ubuntu1 amd64 Interface designed for efficiency of space and interaction.

I'm going to update to "Landing PPA 004". I'll comment in the next days if the problems is fixed or not.

I updated to Unity 7.2.4 (using the ppa described above) and still have the problem. It happens quite regularly, but not predictably.

Ubuntu version:

LSB Version: core-2.0-amd64:core-2.0-noarch:core-3.0-amd64:core-3.0-noarch:core-3.1-amd64:core-3.1-noarch:core-3.2-md64:core-3.2-noarch:core-4.0-amd64:core-4.0-noarch:core-4.1-amd64:core-4.1-noarch:security-4.0-amd64:security-4.0-noarch:security-4.1-amd64:security-4.1-noarch
Distributor ID: Ubuntu
Description: Ubuntu 14.04.1 LTS
Release: 14.04
Codename: trusty

Dual monitors. The password box only appears on the monitor that is "active" as defined by where the mouse pointer is. When it stops working the dialog box has no text-entry field. I can switch the dialog from one monitor to the other but the text-entry field for the password will never appear.

I can SSH into the machine, issue "unity --replace" and it will cause the password prompt to reappear. I can then issue "unity --reset-icons" (but only after entering my password and finding an open terminal windows - this doesn't work from the SSH session) to get the UI to the desktop working again. If there is no open terminal window I am out of luck - there is no keyboard interaction with the desktop and there are no controls available to open a window with a mouse). I have to fix all my terminal windows which have moved to the upper left of the leftmost screen but I'm OK.

The "unity --reset-icons" command hangs and if I ctrl-c the terminal session or stop that process I lose the UI again. But as long as that terminal session stays open things work. It enter the error state again (no password field in login dialog) after I've done this.

Lesley Walker (lrw) wrote :

I also had it happen again after installing the ppa. More info to follow.

Lesley Walker (lrw) wrote :

Update on Comment #143. I have yet to see the problem again. When it last happened I had installed the ppa but not rebooted the system. While Unity indicated that 7.2.4 was running it' s possible that the ppa didn't restart a necessary process. It's now been over three days with many opportunities for problems and I have not seen a recurrence since I rebooted (after I posted #143).

I'm knocking on wood as I write this. I'll post again if I see a recurrence after installing the ppa and rebooting.

Stephen M. Webb (bregma) on 2015-02-11
Changed in unity:
status: Fix Committed → Fix Released
Alex Botev (botevmg) wrote :

I have the same bug as described on my fresh install of Ubuntu 14.04, however I'm with a newer kernel because of problems with my wifi drivers in previous versions, which were fixed:
Linux
3.17.3-031703-generic
#201411141335 SMP Fri Nov 14 18:36:40 UTC
2014 x86_64 x86_64 x86_64 GNU/Linux
Ubuntu 14.04.1 LTS
14.04
trusty

The problem is reproducible multiple times. After closing the laptop lid and going in suspend for a longer period, when opened the laptop displays the welcome screen with my wallpaper, but does not have any field to enter password. Clicking any sound/lang icons on the menu bar does not help, but waiting for a bit of time does.

Diagnostics so far:
So I dig a bit myself and looked at the log of lightdm, with "the problem" occurring here:
[+0.28s] DEBUG: Session pid=1224: Running command /usr/lib/lightdm/lightdm-greeter-session /usr/sbin/unity-greeter
[+0.28s] DEBUG: Creating shared data directory /var/lib/lightdm-data/lightdm
[+0.28s] DEBUG: Session pid=1224: Logging to /var/log/lightdm/x-0-greeter.log
[+0.33s] DEBUG: Activating VT 7
[+0.33s] DEBUG: Activating login1 session c1
[+0.45s] DEBUG: Session pid=1224: Greeter connected version=1.10.3
[+0.60s] DEBUG: Session pid=1224: Greeter start authentication for alex
[+0.60s] DEBUG: Session pid=1283: Started with service 'lightdm', username 'alex'
[+1.67s] DEBUG: Session pid=1283: Got 1 message(s) from PAM
[+1.67s] DEBUG: Session pid=1224: Prompt greeter with 1 message(s)
[+3.49s] DEBUG: Session pid=1283: Authentication complete with return value 0: Success

As can be seen the period 0.60-1.67 is just waiting for the PAM service to respond (1 minute wait). I typed my password asap as it was available, so my guess is it is connected with the PAM service. I will look into it, but if someone has an idea why would be great. The /var/log/auth.log does not contain any useful information for the why the problem is occurring.

Alex Botev (botevmg) wrote :

Also if you could answer the question in #108 this could help us a lot to further debug if necessary the PAM module.

And to add, I'm also using a finger print reader (fprintd) as an authentication before the password, but there are some interesting facts about it(before anyone jump and point fingers there):
It has a timeout of 10s, the wait for the password text area is ~1 min
If I suspend the laptop manually and wake it it uses the fingerprint reader normally.
If I close the lid and open it - the finger print reader authentication is not available and the bug occurs.
Conclusion:
Possibly the fprintd.so library is not loaded for some reason on lid open, or the PAM module encounters some problems, after which it falls back (somehow) to the unix password. Again if you answer #108 would be most appreciated.

David Ireland (davidji) wrote :

I see this on systems with LDAP, and systems without. It's just happened on this machine, which is built from scratch about 1 week ago. It's with a new user - so all the user config is as created by a new clean Ubuntu system. I haven't customised PAM at all.

I see lots of failures in auth.log, but none of them are specific to this condition. E.g:

Feb 14 19:21:25 wilpena pkexec[29914]: david: Executing command [USER=root] [TTY=unknown] [CWD=/hom
e/david] [COMMAND=/usr/lib/update-notifier/package-system-locked]
Feb 14 19:40:28 wilpena compiz: PAM unable to dlopen(pam_kwallet.so): /lib/security/pam_kwallet.so:
 cannot open shared object file: No such file or directory
Feb 14 19:40:28 wilpena compiz: PAM adding faulty module: pam_kwallet.so
Feb 14 19:40:28 wilpena compiz: pam_succeed_if(lightdm:auth): requirement "user ingroup nopasswdlog
in" not met by user "david"

Feb 14 22:17:17 wilpena dbus[595]: [system] Rejected send message, 7 matched rules; type="method_return", sender=":1.44" (uid=0 pid=2810 comm="/usr/sbin/dnsmasq --no-resolv --keep-in-foreground") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.5" (uid=0 pid=1637 comm="NetworkManager ")
Feb 14 22:17:17 wilpena compiz: PAM unable to dlopen(pam_kwallet.so): /lib/security/pam_kwallet.so: cannot open shared object file: No such file or directory
Feb 14 22:17:17 wilpena compiz: PAM adding faulty module: pam_kwallet.so
Feb 15 09:12:42 wilpena dbus[595]: [system] Rejected send message, 3 matched rules; type="error", sender=":1.68" (uid=1000 pid=3214 comm="/usr/bin/pulseaudio --start --log-target=syslog ") interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply="0" destination=":1.1" (uid=0 pid=667 comm="/usr/sbin/bluetoothd ")

Burko (rs205) wrote :
Download full text (6.7 KiB)

I updated my machine recently to the current Unity 7.2.4 and this solved this issue for some time.

BUT: Now I am experiencing it again, exactly 50 % ( that is actually 25 % of time, see below) of times I log into my maschine. My case if different, though. When my Laptop wakes up from sleep I always have to log in two times each time. Meaning I enter my passphrase, the screen unlocks, I see my screen 1-2 seconds, the screen starts flickering and then it locks again, this time without the input field. I then close my lid so that the machine hibernates again. I wake it up again, and have again to unlock the machine two times. This time I have in both cases an input field.
So, you could say I have to log in four times every time I want to use my machine. This is always reproducable, btw.

I did not reboot the machine so far, meaning it is up for some days now, where in the beginning it had it prefectly working with just one needed attempt to unlock the machine.

I attach the Auth.log entry from the last login, which seems a bit weird...

Feb 17 15:58:43 ubuntu-sklave systemd-logind[520]: Lid opened.
Feb 17 15:58:43 ubuntu-sklave systemd-logind[520]: Operation finished.
Feb 17 15:58:44 ubuntu-sklave gnome-keyring-daemon[16581]: couldn't set environment variable in session: Keine derartige Methode »Setenv«
Feb 17 15:58:44 ubuntu-sklave gnome-keyring-daemon[16581]: keyring alias directory: /var/lib/lightdm/.local/share/keyrings
Feb 17 15:58:47 ubuntu-sklave lightdm: pam_unix(lightdm:auth): authentication failure; logname= uid=0 euid=0 tty=:1 ruser= rhost= user=gameaccount
Feb 17 15:58:47 ubuntu-sklave lightdm: pam_winbind(lightdm:auth): getting password (0x00000388)
Feb 17 15:58:47 ubuntu-sklave lightdm: pam_winbind(lightdm:auth): pam_get_item returned a password
Feb 17 15:58:47 ubuntu-sklave lightdm: pam_winbind(lightdm:auth): request wbcLogonUser failed: WBC_ERR_AUTH_ERROR, PAM error: PAM_USER_UNKNOWN (10), NTSTATUS: NT_STATUS_NO_SUCH_USER, Error message was: No such user
Feb 17 15:58:47 ubuntu-sklave dbus[400]: [system] Rejected send message, 7 matched rules; type="method_return", sender=":1.15" (uid=0 pid=1169 comm="/usr/sbin/dnsmasq --no-resolv --keep-in-foreground") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.5" (uid=0 pid=964 comm="NetworkManager ")
Feb 17 15:58:49 ubuntu-sklave lightdm: pam_succeed_if(lightdm:auth): requirement "user ingroup nopasswdlogin" not met by user "gameaccount"
Feb 17 15:58:53 ubuntu-sklave lightdm: pam_kwallet(lightdm:auth): pam_sm_authenticate
Feb 17 15:58:54 ubuntu-sklave lightdm: pam_kwallet(lightdm:setcred): pam_sm_setsecred
Feb 17 15:58:54 ubuntu-sklave lightdm: pam_unix(lightdm-greeter:session): session closed for user lightdm
Feb 17 15:58:54 ubuntu-sklave lightdm: pam_kwallet(lightdm-greeter:session): pam_sm_close_session
Feb 17 15:58:54 ubuntu-sklave lightdm: pam_kwallet(lightdm-greeter:setcred): pam_sm_setsecred
Feb 17 15:58:59 ubuntu-sklave lightdm: pam_kwallet(lightdm-greeter:setcred): pam_sm_setsecred
Feb 17 15:58:59 ubuntu-sklave lightdm: pam_unix(lightdm-greeter:session): session opened for user lightdm by (uid=0)
Feb 17 15:58:59 ubuntu-sklave sy...

Read more...

Andrea Azzarone (azzar1) wrote :
Download full text (9.1 KiB)

It was a login or a lock/unlock?
On 17 Feb 2015 16:21, "Burko" <email address hidden> wrote:

> I updated my machine recently to the current Unity 7.2.4 and this
> solved this issue for some time.
>
> BUT: Now I am experiencing it again, exactly 50 % ( that is actually 25 %
> of time, see below) of times I log into my maschine. My case if different,
> though. When my Laptop wakes up from sleep I always have to log in two
> times each time. Meaning I enter my passphrase, the screen unlocks, I see
> my screen 1-2 seconds, the screen starts flickering and then it locks
> again, this time without the input field. I then close my lid so that the
> machine hibernates again. I wake it up again, and have again to unlock the
> machine two times. This time I have in both cases an input field.
> So, you could say I have to log in four times every time I want to use my
> machine. This is always reproducable, btw.
>
> I did not reboot the machine so far, meaning it is up for some days now,
> where in the beginning it had it prefectly working with just one needed
> attempt to unlock the machine.
>
>
> I attach the Auth.log entry from the last login, which seems a bit weird...
>
>
> Feb 17 15:58:43 ubuntu-sklave systemd-logind[520]: Lid opened.
> Feb 17 15:58:43 ubuntu-sklave systemd-logind[520]: Operation finished.
> Feb 17 15:58:44 ubuntu-sklave gnome-keyring-daemon[16581]: couldn't set
> environment variable in session: Keine derartige Methode »Setenv«
> Feb 17 15:58:44 ubuntu-sklave gnome-keyring-daemon[16581]: keyring alias
> directory: /var/lib/lightdm/.local/share/keyrings
> Feb 17 15:58:47 ubuntu-sklave lightdm: pam_unix(lightdm:auth):
> authentication failure; logname= uid=0 euid=0 tty=:1 ruser= rhost=
> user=gameaccount
> Feb 17 15:58:47 ubuntu-sklave lightdm: pam_winbind(lightdm:auth): getting
> password (0x00000388)
> Feb 17 15:58:47 ubuntu-sklave lightdm: pam_winbind(lightdm:auth):
> pam_get_item returned a password
> Feb 17 15:58:47 ubuntu-sklave lightdm: pam_winbind(lightdm:auth): request
> wbcLogonUser failed: WBC_ERR_AUTH_ERROR, PAM error: PAM_USER_UNKNOWN (10),
> NTSTATUS: NT_STATUS_NO_SUCH_USER, Error message was: No such user
> Feb 17 15:58:47 ubuntu-sklave dbus[400]: [system] Rejected send message, 7
> matched rules; type="method_return", sender=":1.15" (uid=0 pid=1169
> comm="/usr/sbin/dnsmasq --no-resolv --keep-in-foreground")
> interface="(unset)" member="(unset)" error name="(unset)"
> requested_reply="0" destination=":1.5" (uid=0 pid=964 comm="NetworkManager
> ")
> Feb 17 15:58:49 ubuntu-sklave lightdm: pam_succeed_if(lightdm:auth):
> requirement "user ingroup nopasswdlogin" not met by user "gameaccount"
> Feb 17 15:58:53 ubuntu-sklave lightdm: pam_kwallet(lightdm:auth):
> pam_sm_authenticate
> Feb 17 15:58:54 ubuntu-sklave lightdm: pam_kwallet(lightdm:setcred):
> pam_sm_setsecred
> Feb 17 15:58:54 ubuntu-sklave lightdm: pam_unix(lightdm-greeter:session):
> session closed for user lightdm
> Feb 17 15:58:54 ubuntu-sklave lightdm:
> pam_kwallet(lightdm-greeter:session): pam_sm_close_session
> Feb 17 15:58:54 ubuntu-sklave lightdm:
> pam_kwallet(lightdm-greeter:setcred): pam_sm_setsecred
> Feb 17 15:58:59 ubuntu-sklave lightdm:
> pam_kwall...

Read more...

Burko (rs205) wrote :

I am afraid I don't know what you mean. I try to explain it a bit more:
It was a login after a suspend, meaning a unlock-lock.
I was already logged in and hibernated the machine. Then I waked it up again, so in that way it was a lock-unlock. But just considering the unlock procedure it was an "unlock-lock-hibernate-wakeup-unlock-lock-unlock"-Procedure.

And I do that every. freaking. time. I want to use my machine.

Andrea Azzarone (azzar1) wrote :

Do you have light locker installed?
On 17 Feb 2015 18:11, "Burko" <email address hidden> wrote:

> I am afraid I don't know what you mean. I try to explain it a bit more:
> It was a login after a suspend, meaning a unlock-lock.
> I was already logged in and hibernated the machine. Then I waked it up
> again, so in that way it was a lock-unlock. But just considering the unlock
> procedure it was an
> "unlock-lock-hibernate-wakeup-unlock-lock-unlock"-Procedure.
>
> And I do that every. freaking. time. I want to use my machine.
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1311316
>
> Title:
> After locking screen there is no input field to type password for
> unlock
>
> Status in Unity:
> Fix Released
> Status in Unity 7.2 series:
> In Progress
> Status in unity package in Ubuntu:
> Fix Released
>
> Bug description:
> *** IMPORTANT **
>
> *** The fix is not included in TRUSTY. Will be included with next SRU.
> ***
>
> If you can reproduce this bug please be sure to provide the following
> info:
> 1. Do you use a multi-head setup? If yes, using just one monitor fixes
> the issue?
> 2. Can you reproduce all the time?
> 3. Do you use ldap? If yes, using gnome-screensaver fix the issue (see
> comment #115) can you still reproduce that?
> 4. Please consider posting /var/log/auth.log (at least part of it,
> should not contain sensitive information)
> 5. Please specify the unity version
> *** END IMPORTANT **
>
> Sometimes (but not always) after locking the screen there is the
> situation not having any input field where I can type the password to
> unlock the session again. The shaded gray area simply does not have
> the input field. I can't do anything, I have to switch to text console
> and stop/start lightdm service to cure the problem loosing all of my
> session :(
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: unity 7.2.0+14.04.20140416-0ubuntu1
> ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
> Uname: Linux 3.13.0-24-generic i686
> ApportVersion: 2.14.1-0ubuntu3
> Architecture: i386
> CompizPlugins: No value set for
> `/apps/compiz-1/general/screen0/options/active_plugins'
> CurrentDesktop: Unity
> Date: Tue Apr 22 22:17:57 2014
> InstallationDate: Installed on 2012-03-03 (780 days ago)
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386
> (20110427.1)
> SourcePackage: unity
> UpgradeStatus: Upgraded to trusty on 2013-10-18 (186 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/1311316/+subscriptions
>

Burko (rs205) wrote :

Yes, I do. However, I thought that is part of LXDE. And I only have an old install of XFCE which I installed back in the 13.10 days,

Andrea Azzarone (azzar1) wrote :

I think you are still using it. Please try to unistall it.
On 17 Feb 2015 19:35, "Burko" <email address hidden> wrote:

> Yes, I do. However, I thought that is part of LXDE. And I only have an
> old install of XFCE which I installed back in the 13.10 days,
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1311316
>
> Title:
> After locking screen there is no input field to type password for
> unlock
>
> Status in Unity:
> Fix Released
> Status in Unity 7.2 series:
> In Progress
> Status in unity package in Ubuntu:
> Fix Released
>
> Bug description:
> *** IMPORTANT **
>
> *** The fix is not included in TRUSTY. Will be included with next SRU.
> ***
>
> If you can reproduce this bug please be sure to provide the following
> info:
> 1. Do you use a multi-head setup? If yes, using just one monitor fixes
> the issue?
> 2. Can you reproduce all the time?
> 3. Do you use ldap? If yes, using gnome-screensaver fix the issue (see
> comment #115) can you still reproduce that?
> 4. Please consider posting /var/log/auth.log (at least part of it,
> should not contain sensitive information)
> 5. Please specify the unity version
> *** END IMPORTANT **
>
> Sometimes (but not always) after locking the screen there is the
> situation not having any input field where I can type the password to
> unlock the session again. The shaded gray area simply does not have
> the input field. I can't do anything, I have to switch to text console
> and stop/start lightdm service to cure the problem loosing all of my
> session :(
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: unity 7.2.0+14.04.20140416-0ubuntu1
> ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
> Uname: Linux 3.13.0-24-generic i686
> ApportVersion: 2.14.1-0ubuntu3
> Architecture: i386
> CompizPlugins: No value set for
> `/apps/compiz-1/general/screen0/options/active_plugins'
> CurrentDesktop: Unity
> Date: Tue Apr 22 22:17:57 2014
> InstallationDate: Installed on 2012-03-03 (780 days ago)
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386
> (20110427.1)
> SourcePackage: unity
> UpgradeStatus: Upgraded to trusty on 2013-10-18 (186 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/1311316/+subscriptions
>

Burko (rs205) wrote :

I just did. Im curious how it will turn out. I just rebooted, so I will anticipate how long everything works out as expected.

How did you came across this assumption that I have light-locker installed? Did I miss a hint?

Andrea Azzarone (azzar1) wrote :

From the auth log file. There was nothing about unity, but a lot of logs
created by lightdm. Because you confirmed that you were locking/unlocking
the phone I thought about light locker.
On 17 Feb 2015 21:31, "Burko" <email address hidden> wrote:
>
> I just did. Im curious how it will turn out. I just rebooted, so I will
> anticipate how long everything works out as expected.
>
> How did you came across this assumption that I have light-locker
> installed? Did I miss a hint?
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1311316
>
> Title:
> After locking screen there is no input field to type password for
> unlock
>
> Status in Unity:
> Fix Released
> Status in Unity 7.2 series:
> In Progress
> Status in unity package in Ubuntu:
> Fix Released
>
> Bug description:
> *** IMPORTANT **
>
> *** The fix is not included in TRUSTY. Will be included with next SRU.
> ***
>
> If you can reproduce this bug please be sure to provide the following
info:
> 1. Do you use a multi-head setup? If yes, using just one monitor fixes
the issue?
> 2. Can you reproduce all the time?
> 3. Do you use ldap? If yes, using gnome-screensaver fix the issue (see
comment #115) can you still reproduce that?
> 4. Please consider posting /var/log/auth.log (at least part of it,
should not contain sensitive information)
> 5. Please specify the unity version
> *** END IMPORTANT **
>
> Sometimes (but not always) after locking the screen there is the
> situation not having any input field where I can type the password to
> unlock the session again. The shaded gray area simply does not have
> the input field. I can't do anything, I have to switch to text console
> and stop/start lightdm service to cure the problem loosing all of my
> session :(
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: unity 7.2.0+14.04.20140416-0ubuntu1
> ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
> Uname: Linux 3.13.0-24-generic i686
> ApportVersion: 2.14.1-0ubuntu3
> Architecture: i386
> CompizPlugins: No value set for
`/apps/compiz-1/general/screen0/options/active_plugins'
> CurrentDesktop: Unity
> Date: Tue Apr 22 22:17:57 2014
> InstallationDate: Installed on 2012-03-03 (780 days ago)
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386
(20110427.1)
> SourcePackage: unity
> UpgradeStatus: Upgraded to trusty on 2013-10-18 (186 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/1311316/+subscriptions

Burko (rs205) wrote :

After another ~2 days and a bunch of hibernations I can confirm that uninstalling Light-locker did the trick for me. I experienced absolutely no problems in whatsoever. It even "fixed" two other bugs related to login here.

Thanks again!

Alex Botev (botevmg) wrote :

Can any of the people still experiencing the problems to add 'debug' to in /etc/pam.d/unity to each of the modules used and potentially post some of their /var/log/auth.log. For me I found this is an issue of the PAM module for fprtind giving me:

Feb 23 12:52:23 botev-ThinkPad-T440 unity[2008]: pam_fprintd(unity): get_devices failed: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

Quoting "Can any of the people still experiencing the problems to add 'debug' to in /etc/pam.d/unity to each of the modules used and potentially post some of their /var/log/auth.log."

Can you give more detail how to do this? Man pages have no mention of "debug" at all.

My entire pam.d/unity looks like this:

-----<start>-----
@include common-auth
auth optional pam_gnome_keyring.so
-----<end>-----

Where does the debug keyword go?

Alex Botev (botevmg) wrote :

So you just add it to the end of the line of an entry, of course monitor the /var/log/auth.log, as this means you are passing it as an argument, which might not be valid for all packages(its a common practice to be tough, but who knows). For instance my /etc/pam.d/common-auth looks like this:

#
# /etc/pam.d/common-auth - authentication settings common to all services
#
# This file is included from other service-specific PAM config files,
# and should contain a list of the authentication modules that define
# the central authentication scheme for use on the system
# (e.g., /etc/shadow, LDAP, Kerberos, etc.). The default is to use the
# traditional Unix authentication mechanisms.
#
# As of pam 1.0.1-6, this file is managed by pam-auth-update by default.
# To take advantage of this, it is recommended that you configure any
# local modules either before or after the default block, and use
# pam-auth-update to manage selection of other modules. See
# pam-auth-update(8) for details.

# here are the per-package modules (the "Primary" block)
auth [success=2 default=ignore] pam_fprintd.so max_tries=1 timeout=10 debug
auth [success=1 default=ignore] pam_unix.so nullok_secure try_first_pass debug
# here's the fallback if no module succeeds
auth requisite pam_deny.so
# prime the stack with a positive return value if there isn't one already;
# this avoids us returning an error just because nothing sets a success code
# since the modules above will each just jump around
auth required pam_permit.so
# and here are more per-package modules (the "Additional" block)
auth optional pam_cap.so
# end of pam-auth-update config

If you want full debug some packages (including fprintd) would require to be compiled from source with a debug flag on. Even without that, enabling debug can produce some usefull stuff in the auth.log

Is there a fix for this bug? If so, how do I apply it? It happens to me every 4-5 days.

Here is the tail of my /var/log/auth.log:

Mar 3 19:17:01 genovo CRON[28307]: pam_unix(cron:session): session closed for user root
Mar 3 20:06:49 genovo compiz: PAM unable to dlopen(pam_kwallet.so): /lib/security/pam_kwallet.so: cannot open shared object file: No such file or directory
Mar 3 20:06:49 genovo compiz: PAM adding faulty module: pam_kwallet.so
Mar 3 20:07:46 genovo login[1174]: pam_unix(login:session): session opened for user jonil by LOGIN(uid=0)
Mar 3 20:07:46 genovo systemd-logind[773]: New session c3 of user jonil.
Mar 3 20:09:43 genovo systemd-logind[773]: Failed to issue method call: Unknown unit: <email address hidden>
Mar 3 20:16:41 genovo compiz: PAM unable to dlopen(pam_kwallet.so): /lib/security/pam_kwallet.so: cannot open shared object file: No such file or directory
Mar 3 20:16:41 genovo compiz: PAM adding faulty module: pam_kwallet.so
Mar 3 20:16:41 genovo compiz: pam_succeed_if(lightdm:auth): requirement "user ingroup nopasswdlogin" not met by user "jonil"
Mar 3 20:17:01 genovo CRON[30005]: pam_unix(cron:session): session opened for user root by (uid=0)
Mar 3 20:17:01 genovo CRON[30005]: pam_unix(cron:session): session closed for user root
(END)

Stephen M. Webb (bregma) wrote :

The fix for this was included in some other fixes released into Ubuntu 14.04 LTS in Unity 7.2.4 (see bug #1308540).

Schlomo Schapiro (sschapiro) wrote :

I have this problem too.

Ubuntu 14.10 x86_64
Unity 7.3.1+14.10.20141016-0ubuntu1

Using a multi seat setup (2 users working the same time on different screens connected to different VGA cards).

BTW, I use "sudo loginctl unlock-sessions" as a workaround.

Very harmful bug and hurts a lot the Wife Acceptance Factor :-(

How do I obtain the fix?
This still happens.
I have Ubuntu 14.04 LTS.

msp3k (peek-nimbios) wrote :

My understanding is that if you type:

dpkg -l unity

And see the version number 7.2.x, then you have the patch.

Michael Peek

On 03/18/2015 05:11 AM, Jonathan Laserson wrote:
> How do I obtain the fix?
> This still happens.
> I have Ubuntu 14.04 LTS.
>

So:

$ dpkg -l unity
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-=============================-===================-===================-===============================================================
ii unity 7.2.3+14.04.2014082 amd64 Interface designed for efficiency of space and interaction.

And yet I still have the bug. Should it be reopened?

Andrea Azzarone (azzar1) wrote :

@Jonathan do you have light-locker installed?

Andrea Azzarone (azzar1) wrote :

And btw you need 7.2.4+14.04.20141217-0ubuntu1

@Andrea is This fixed included for 15.04 as well?

Andrea Azzarone (azzar1) wrote :

Yes.
On 25 Mar 2015 11:05, "Daniel Halvorsen" <email address hidden> wrote:

> @Andrea is This fixed included for 15.04 as well?
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1311316
>
> Title:
> After locking screen there is no input field to type password for
> unlock
>
> Status in Unity:
> Fix Released
> Status in Unity 7.2 series:
> Fix Released
> Status in unity package in Ubuntu:
> Fix Released
>
> Bug description:
> *** IMPORTANT **
>
> *** The fix is not included in TRUSTY. Will be included with next SRU.
> ***
>
> If you can reproduce this bug please be sure to provide the following
> info:
> 1. Do you use a multi-head setup? If yes, using just one monitor fixes
> the issue?
> 2. Can you reproduce all the time?
> 3. Do you use ldap? If yes, using gnome-screensaver fix the issue (see
> comment #115) can you still reproduce that?
> 4. Please consider posting /var/log/auth.log (at least part of it,
> should not contain sensitive information)
> 5. Please specify the unity version
> *** END IMPORTANT **
>
> Sometimes (but not always) after locking the screen there is the
> situation not having any input field where I can type the password to
> unlock the session again. The shaded gray area simply does not have
> the input field. I can't do anything, I have to switch to text console
> and stop/start lightdm service to cure the problem loosing all of my
> session :(
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: unity 7.2.0+14.04.20140416-0ubuntu1
> ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
> Uname: Linux 3.13.0-24-generic i686
> ApportVersion: 2.14.1-0ubuntu3
> Architecture: i386
> CompizPlugins: No value set for
> `/apps/compiz-1/general/screen0/options/active_plugins'
> CurrentDesktop: Unity
> Date: Tue Apr 22 22:17:57 2014
> InstallationDate: Installed on 2012-03-03 (780 days ago)
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386
> (20110427.1)
> SourcePackage: unity
> UpgradeStatus: Upgraded to trusty on 2013-10-18 (186 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/1311316/+subscriptions
>

@Andrea, I did not have light-locker.
I just manually upgraded to 7.2.4 (apparently you do this by typing "sudo apt-get dist-upgrade").
Will let you know if this happens again.

The bug is not fixed.
I happened again with 7.2.4.

Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-==============-============-============-=================================
ii unity 7.2.4+14.04. amd64 Interface designed for efficiency

Okay, after some auto-updates made to 7.2.4 the problem never reoccurred.

Hello, I have experienced this bug a few times even with the posted "fix". Would it be possible to reopen? Thank you.

I was experiencing similar problems to post #32 above using VMware Player 6, latest version.

Dual monitors. I don't recall seeing the problem with only one, i.e. the built-in laptop one.
Problem did not occur every time - only after some varying amount of run time.
AFAIK I don't use ldap, but I will look later.
I will post auth.log later.

~$ dpkg -l unity
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-====================-===============-===============-==============================================
ii unity 7.2.4+14.04.201 amd64 Interface designed for efficiency of space and
~$

My workaround was to send a hangup signal to compiz from VT1. I say was because as of three kernel updates ago, the problem has become worse. Now when the screen timeout occurs when my mouse is on the Win7 VMware VM, when I move the mouse to the host screen (which is the built-in one), the login session crashes and restarts as if I sent ctrl-alt.backspace, thus wiping out all running apps. Needless to say, this is an unworkable situation.

I am happy to provide any helpful information I can to help target this problem. Let me know if my situation belongs in different/another bug report.

FYI, I much prefer the old bug. I might try reverting kernel releases using grub and see if that helps.

I have 14.04 LTS with the latest kernel update that is pushed out to update-notifier, applied today.
I don't appear to have ldap as it is not currently running.
I ran my VM with only the built-in screen today, but I did not experience the session crash.
auth.log from today attached with names changed to generic ones.

I tried reverting back to 3.13.0-45, but the session still crashes when the screen times out while the mouse is positioned over the VM. Next I will try reverting Unity versions, if that is possible. Kernel is back to 3.13.0-51.

One other item - if the screen times out with the mouse in the host, i.e. on the built-in screen, the session will act as expected and present the login screen.

Problem occurs with up-to-date Ubuntu 14.04.2 on Dell Inspiron 7348.
Ctrl+Alt+F2 and service lightdm restart does the trick (with work lost of course).

1. Do you use a multi-head setup? If yes, using just one monitor fixes the issue?
No multi-head

2. Can you reproduce all the time?
If a session is opened, yes, apparently.
If I loggout of session before closing the lid, it seems to work correctly

3. Do you use ldap? If yes, using gnome-screensaver fix the issue (see comment #115) can you still reproduce that?
No

4. Please consider posting /var/log/auth.log (at least part of it, should not contain sensitive information)
OK, posted as attachement

5. Please specify the unity version
thierry@thierry-Inspiron-7348:~$ dpkg -l unity
Souhait=inconnU/Installé/suppRimé/Purgé/H=à garder
| État=Non/Installé/fichier-Config/dépaqUeté/échec-conFig/H=semi-installé/W=attend-traitement-déclenchements
|/ Err?=(aucune)/besoin Réinstallation (État,Err: majuscule=mauvais)
||/ Nom Version Architecture Description
+++-===============================================-============================-============================-===================================================================================================
ii unity 7.2.4+14.04.20150316-0ubuntu amd64 Interface designed for efficiency of space and interaction.

Kevin Krumwiede (kjkrum) wrote :

This bug started manifesting on 14.04.02 LTS after installing updates today.

G.C. Hassink (gchassink) wrote :

I think I have something similar but then I use ubuntu 14.04 gnome with gdm so I don't think it is unity/light-dm related

tags: added: rls-w-incoming

Same problem here. I cannot recover even using lightdm, so I have to reboot. I now when this is going to happen because first only one of the input field is locked. Then, next time I lock my account both are locked. This is about to happen now, so you can check my current auth.log

1. Do you use a multi-head setup?
Yes
If yes, using just one monitor fixes the issue?
Not sure, I must work with 2 screens
2. Can you reproduce all the time?
This happens once each couple of days
3. Do you use ldap? If yes, using gnome-screensaver fix the issue (see comment #115) can you still reproduce that?
No
4. Please consider posting /var/log/auth.log (at least part of it, should not contain sensitive information)

Today's log:

Mar 17 09:34:39 santiago compiz: gkr-pam: unlocked login keyring
Mar 17 09:41:12 santiago compiz: PAM unable to dlopen(pam_kwallet.so): /lib/security/pam_kwallet.so: cannot open shared object file: No such file or directory
Mar 17 09:41:12 santiago compiz: PAM adding faulty module: pam_kwallet.so
Mar 17 09:41:12 santiago compiz: pam_succeed_if(lightdm:auth): requirement "user ingroup nopasswdlogin" not met by user "maestre"
Mar 17 09:41:48 santiago compiz: PAM unable to dlopen(pam_kwallet.so): /lib/security/pam_kwallet.so: cannot open shared object file: No such file or directory
Mar 17 09:41:48 santiago compiz: PAM adding faulty module: pam_kwallet.so
Mar 17 09:41:57 santiago compiz: gkr-pam: unlocked login keyring
Mar 17 09:41:57 santiago compiz: pam_succeed_if(lightdm:auth): requirement "user ingroup nopasswdlogin" not met by user "maestre"
Mar 17 09:42:29 santiago smbd[15314]: pam_unix(samba:session): session closed for user nobody
Mar 17 09:50:44 santiago smbd[15361]: pam_unix(samba:session): session closed for user nobody
Mar 17 09:55:24 santiago sudo: pam_unix(sudo:session): session opened for user root by maestre(uid=0)
Mar 17 09:55:32 santiago sudo: pam_unix(sudo:session): session closed for user root
Mar 17 09:56:36 santiago pkexec: pam_unix(polkit-1:session): session opened for user root by (uid=1003)
Mar 17 09:56:36 santiago pkexec: pam_ck_connector(polkit-1:session): cannot determine display-device
Mar 17 09:56:36 santiago pkexec[15651]: maestre: Executing command [USER=root] [TTY=unknown] [CWD=/home/maestre] [COMMAND=/usr/lib/update-notifier/package-system-locked]
Mar 17 10:15:22 santiago smbd[15901]: pam_unix(samba:session): session closed for user nobody
Mar 17 10:17:01 santiago CRON[15924]: pam_unix(cron:session): session opened for user root by (uid=0)
Mar 17 10:17:01 santiago CRON[15924]: pam_unix(cron:session): session closed for user root
Mar 17 10:21:52 santiago smbd[15995]: pam_unix(samba:session): session closed for user nobody
Mar 17 10:23:14 santiago smbd[15999]: pam_unix(samba:session): session closed for user nobody

5. Please specify the unity version
7.2.6+14.04.20151021- amd64

Download full text (5.0 KiB)

I'm on Ubuntu 14.04.4 LTS Trusty. This report applies to a few weeks back (was at least 14.04.3).

If I recall, I did get the input field (but months earlier I got no input field onces in a while).

Sorry, I forgot to report, but then could reproduce easily, since memory was low. If I locked the screen, then I couldn't get back in, but realized if I got into a virtual terminal and killed one of the chrome processes, to make some room, I could get in.

Since then I've given up on the Chrome browser and went back to Firefox. I'm not saying this has happened always with Chrome or it is the cause (or Firefox the solution), just that it is an example of a program that can fill the memory so it can be done manually reliably in other ways to reproduce my bug.

Sorry if this is not the same bug, do say if you want it reported separately. I find it very likely that memory low could be the same problem, even when the symptom is slightly different.

1. Do you use a multi-head setup?
I think not.. I do have another monitor, have set up dual in the past, now the other is unconnected, and the mouse pointer does not go "off" to either side.

If yes, using just one monitor fixes the issue?
Not sure, I must work with 2 screens
2. Can you reproduce all the time?
Frequently every day, under conditions above.
3. Do you use ldap? If yes, using gnome-screensaver fix the issue (see comment #115) can you still reproduce that?

I'm not sure if I'm using ldap, I guess Thunderbird may be, we do have ldap at work, not sure I'm using it for a "address book".

[Seems strange that ldap would be the cause.., what could I likely be using else, that uses ldap?]

Not sure what #115 is telling me to do or if asking for this info:

 ps -ef | grep -i screensaver
qwerty 32042 30834 0 17:09 pts/27 00:00:00 grep --color=auto -i screensaver

4. Please consider posting /var/log/auth.log (at least part of it, should not contain sensitive information)

Probably outdated..

less /var/log/auth.log.4.gz

Feb 15 07:58:40 Vinnuryksugan pkexec: pam_unix(polkit-1:session): session opened for user root by (uid=1000)
Feb 15 07:58:40 Vinnuryksugan pkexec: pam_ck_connector(polkit-1:session): cannot determine display-device
Feb 15 07:58:40 Vinnuryksugan pkexec[20380]: qwerty: Executing command [USER=root] [TTY=unknown] [CWD=/home/qwerty] [COMMAND=/usr/lib/update-notifier/package-system-locked]
Feb 15 08:05:01 Vinnuryksugan CRON[20429]: pam_unix(cron:session): session opened for user root by (uid=0)
Feb 15 08:05:01 Vinnuryksugan CRON[20429]: pam_unix(cron:session): session closed for user root
Feb 15 08:12:01 Vinnuryksugan CRON[20452]: pam_unix(cron:session): session opened for user root by (uid=0)
Feb 15 08:12:02 Vinnuryksugan CRON[20452]: pam_unix(cron:session): session closed for user root
Feb 15 08:15:01 Vinnuryksugan CRON[20468]: pam_unix(cron:session): session opened for user root by (uid=0)
Feb 15 08:15:01 Vinnuryksugan CRON[20468]: pam_unix(cron:session): session closed for user root
Feb 15 08:17:01 Vinnuryksugan CRON[20476]: pam_unix(cron:session): session opened for user root by (uid=0)
Feb 15 08:17:01 Vinnuryksugan CRON[20476]: pam_unix(cron:session): session closed for user root
F...

Read more...

LeSam (lesametlemax) wrote :

16.04, intel chip, dual monitor, same problem. Although just hitting Ctrl + Atl + Fx and back solves it without needing to kill unity.

Jeremy LaCroix (j-jlacroix) wrote :

I'm still having this problem even after all the latest updates. The status says "fixed released" but I'm still facing this issue. I'm using Ubuntu MATE 16.04. This doesn't happen every time, but sometimes when resuming from suspend, I cannot type my password. The work-around that works for me is to "switch user" and then log in as myself. This will allow me to resume my session, but my mouse cursor is invisible for a while, but comes back eventually. I think the "fix released" status should be removed as this is clearly not fixed.

Jung-Kyu Park (bagjunggyu) wrote :

@Jeremy and Lesam if you use intel graphics, I think it is proper to you
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1568604

Jeremy LaCroix (j-jlacroix) wrote :

@Jung-Kyu Park: Thanks, I subscribed to that bug. However, that bug doesn't reference anything regarding no input on the password field when resuming from suspend, so I still suffer from this bug (1311316).

Jan Pfeifer (pfjan) wrote :

I also started having this issue after upgrading from 15.10 to 16.04.

Sometimes I can see the flicker of the gnome-screensaver-dialog showing up, but most of the time I just see my previous screen, without anywhere to type in the password, and everything locked (nothing is interactive).

Typing the password on the blind actually unlocks it.

Igor Lopez (igor-lopez) wrote :

I have had this bug since I installed 16.04 (Not an upgrade)
It does not happen often but when it happens it is always when returning to my normal user id after having switched to another user id.

So basically I click upper right corner and selects another user, say user2, when I am logged in as user1.
When I am finished with user2 I just log out and am normally returned to the login window where I can login as user1 again and the session is resumed.

When the bug strikes it is not possible to login and only a switch to TTYx and executing a
 $ sudo service lightdm restart
will give me back a working login page but I have to login twice before I get access and then is of course all work in the old session gone.

nvidia proprietary drivers and dual head.

Chris BB (bentobanzai) wrote :

running 16.04.1
Fujitsu Lifebook E752
single head.
no screensaver that i know of.

i don't use locking, but when returning from sleep the screen is locked.
so far, most of the times the pw-field is there, but not usable.
i also think that there should be icons in the top right corner and a clock maybe? the space is empty.
just now i had a case of pw-field missing altogether. found this bug. did not find any newer bug, so i post here.

initially recovered with workaround "unity --replace" which made the PW-field show up. i could unlock the desktop, seemed fine.

now desktop totally screwed up: alt-tab unresponsive, launcher missing, top-bar missing, whole thing looks funny. mouse works, can use scroll-wheel and mark text in a left-over, fullscreen terminal, but not type..
put computer back to sleep, woke up again, now got a gray box that says "Chris" (my username) "Password", a field and button s switch user and unlock. never saw that before. might be because i tried to use described locking procedure (ctrl-alt-l) which was suggesting to fix some things, which did not seem to work.
typed PW, screen went away. back to screwed up desktop.
keyboard seemed useless. noticed that ctrl-n opens file-browser. works repeatedly. with those windows open, i can use alt-tab to switch between these new windows. browser, netbeans, thunderbird (should all be still living in the background) are not presented.
task-switcher looks funny, too. just a row of images and a box around the middle one.
used file-browser to start a video. worked. can now use alt-tab to switch between file-browser and videoplayer.

i am a noob. if you need something, tell me.

Vegard Nossum (vegard-nossum) wrote :

I don't have a dual monitor or anything, when I opened the lid of my laptop in the morning the usual login/unlock screen did not display a password prompt, it just showed my name and no buttons, no text inputs, nothing.

This was the workaround that worked for me (from another pts/vc):

DISPLAY=:0 compiz --replace

More info:

$ unity --version
unity 7.2.6

$ apt show unity
Package: unity
Priority: optional
Section: gnome
Installed-Size: 6,463 kB
Maintainer: Ubuntu Developers <email address hidden>
Version: 7.2.6+14.04.20160408-0ubuntu1

$ unity --reset
ERROR: the reset option is now deprecated

$ compiz --version
Compiz 0.9.11.3

$ apt show compiz
Package: compiz
Priority: optional
Section: x11
Installed-Size: 131 kB
Maintainer: Ubuntu Developers <email address hidden>
Original-Maintainer: Debian X Strike Force <email address hidden>
Version: 1:0.9.11.3+14.04.20160425-0ubuntu1

Rael Gugelmin Cunha (rael-gc) wrote :

Using 16.04.1 on a dual monitor.
Still facing this issue several times after get back from lock screen.

Rael Gugelmin Cunha (rael-gc) wrote :

@igor-lopez described perfectly what happens here (switching users then get back from lock screen).

Rael Gugelmin Cunha (rael-gc) wrote :

Unity 7.4.0 on Ubuntu 16.04 and this happened FOUR times today.

Thilo Cestonaro (tephraim) wrote :

Unity 7.5.0+16.10. and it still happens. light-locker is not installed.

Jörg Schummer (jorg-g) wrote :

What the beep? A bug, 3 years old which is still bugging people and the bug report says "Fix Released"???

Has anyone found a workaround which does not include typing hackish-looking commands, which my wife and kids cannot do? Has anyone tried using xscreensaver and that worked as a workaround?

Can Fedora or MS Windows act as workarounds??? Argh.

Russell Mace (macetech) wrote :

I see I'm not the only one having this problem. Running Ubuntu 16.04.2 LTS, light-locker not installed, Unity 7.4.0+16.04. I haven't found any workaround yet.

Klemen (klemenk) wrote :

This is not funny any more... Ubuntu 16.04 desktop is not usable any more...

The issues described by posters above used to happen to me only once per 14 days... Then once per week... And now it happens daily. I can not use the system. The only way is to power off the computer and power it back on. All my work lost and unable to do work.

Is there a patch? If, how to apply it? Is there a workaround?

I use Ubuntu 16.04, on a laptop with NVIDIA graphics and additional monitor. I am running VirtualBox.

NoBugs! (luke32j) wrote :

@Klemen I wonder if it's really this bug, or if it is the infamous bug in Linux 4.4/4.3 that causes text to mess up and icons to not appear correctly?

https://bbs.archlinux.org/viewtopic.php?id=209065
https://askubuntu.com/questions/582980/missing-letters-in-menus-and-folder-names/892298#comment1399041_892298

Klemen (klemenk) wrote :

No. It is this bug. It is exactly as screenshot I found on the right: https://launchpadlibrarian.net/192258901/Screenshot%20from%202014-12-10%2009%3A21%3A32.png .

Vincent Snijders (vsnijders) wrote :

@Klemen, as a work around I make sure that a second user is logged in (most of the time one of my children). If I am locked out, I can switch to a different X-session (ctrl-alt-f8 or so) and then switch to my user with the menu in the top left corner. Then I can enter my password.

msp3k (peek-nimbios) wrote :

This really isn't acceptable for our use. We may have a rather smallish
organization (I manage 103 Ubuntu machines, most of them user-facing
workstations) but we are a national research institute and we give Linux
and Ubuntu international attention every time we have a group of
scientists arrive for a workshop simply by running something other than
the standard Winblows ecosystem. Creating a second account for them
really isn't feasible, and trying to convince them to log in a second
time, "just in case," just doesn't work. For many of them this will be
their first exposure to a Linux desktop environment, and if they get
bitten by a bug like this then it'll probably be their last. This bug
makes both Ubuntu and Linux in general look bad, and that makes me sad.
There are some functions that you just expect to work without fail, and
this is one of them.

Michael

On 07/21/2017 04:49 PM, Vincent Snijders wrote:
> @Klemen, as a work around I make sure that a second user is logged in
> (most of the time one of my children). If I am locked out, I can switch
> to a different X-session (ctrl-alt-f8 or so) and then switch to my user
> with the menu in the top left corner. Then I can enter my password.
>

Ivan Ogai (ubuntu-yd) wrote :

This bug is right now hitting me too. I see just the mouse cursor when trying to unlock. No fields, no letters, no menu, nothing.

- Current Ubuntu Xenial HWE Ubuntu 16.04.2 LTS
- No multi-head setup.
- It happens to me all the time when the screen is locked.
- No ldap
- Unity version Version: 7.4.0+16.04.20160906-0ubuntu1
- auth.log:

...
Jul 24 14:17:46 mac polkitd(authority=local): Unregistered Authentication Agent for unix-session:c4 (system bus name :1.172, object path /org/gnome/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8) (disconnected from bus)
Jul 24 14:17:46 mac lightdm: pam_unix(lightdm:session): session closed for user ivan
Jul 24 14:17:47 mac lightdm: PAM unable to dlopen(pam_kwallet.so): /lib/security/pam_kwallet.so: cannot open shared object file: No such file or directory
Jul 24 14:17:47 mac lightdm: PAM adding faulty module: pam_kwallet.so
Jul 24 14:17:47 mac lightdm: PAM unable to dlopen(pam_kwallet5.so): /lib/security/pam_kwallet5.so: cannot open shared object file: No such file or directory
Jul 24 14:17:47 mac lightdm: PAM adding faulty module: pam_kwallet5.so
Jul 24 14:17:47 mac lightdm: pam_unix(lightdm-greeter:session): session opened for user lightdm by (uid=0)
Jul 24 14:17:47 mac systemd-logind[1203]: New session c5 of user lightdm.
Jul 24 14:17:47 mac systemd: pam_unix(systemd-user:session): session opened for user lightdm by (uid=0)
Jul 24 14:17:47 mac lightdm: PAM unable to dlopen(pam_kwallet.so): /lib/security/pam_kwallet.so: cannot open shared object file: No such file or directory
Jul 24 14:17:47 mac lightdm: PAM adding faulty module: pam_kwallet.so
Jul 24 14:17:47 mac lightdm: PAM unable to dlopen(pam_kwallet5.so): /lib/security/pam_kwallet5.so: cannot open shared object file: No such file or directory
Jul 24 14:17:47 mac lightdm: PAM adding faulty module: pam_kwallet5.so
Jul 24 14:17:47 mac lightdm: pam_succeed_if(lightdm:auth): requirement "user ingroup nopasswdlogin" not met by user "ivan"
Jul 24 14:18:01 mac lightdm: pam_unix(lightdm-greeter:session): session closed for user lightdm
Jul 24 14:18:01 mac lightdm: pam_unix(lightdm:session): session opened for user ivan by (uid=0)
Jul 24 14:18:01 mac systemd-logind[1203]: New session c6 of user ivan.
Jul 24 14:18:03 mac gnome-keyring-daemon[10860]: The PKCS#11 component was already initialized
Jul 24 14:18:03 mac gnome-keyring-daemon[10860]: The Secret Service was already initialized
Jul 24 14:18:03 mac gnome-keyring-daemon[10860]: The SSH agent was already initialized
Jul 24 14:18:06 mac polkitd(authority=local): Registered Authentication Agent for unix-session:c6 (system bus name :1.247 [/usr/lib/policykit-1-gnome/polkit-gnome-authentication-agent-1], object path /org/gnome/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8)
Jul 24 14:18:11 mac compiz: gkr-pam: unlocked login keyring
Jul 24 14:19:47 mac systemd-logind[1203]: Removed session c5.
Jul 24 14:19:47 mac systemd: pam_unix(systemd-user:session): session closed for user lightdm
Jul 24 14:54:10 mac sudo: ivan : TTY=pts/20 ; PWD=/home/ivan ; USER=root ; COMMAND=/bin/su
Jul 24 14:54:10 mac sudo: pam_unix(sudo:session): session opened for user root by ivan(uid=0)
...

Klemen (klemenk) on 2017-07-29
information type: Public → Public Security
Rael Gugelmin Cunha (rael-gc) wrote :

1. Yes, multi-head setup.
2. It appears to happen always when I have users switching and locking screen (my wife and kids uses my machine and I see this happen when they start to use).
3. Never used ldap in this machine.
4. /var/log/auth.log:

Jul 24 11:36:10 rael-m3800 lightdm: PAM unable to dlopen(pam_kwallet.so): /lib/security/pam_kwallet.so: cannot open shared object file: No such file or directory
Jul 24 11:36:10 rael-m3800 lightdm: PAM adding faulty module: pam_kwallet.so
Jul 24 11:36:10 rael-m3800 lightdm: PAM unable to dlopen(pam_kwallet5.so): /lib/security/pam_kwallet5.so: cannot open shared object file: No such file or directory
Jul 24 11:36:10 rael-m3800 lightdm: PAM adding faulty module: pam_kwallet5.so
Jul 24 11:36:10 rael-m3800 lightdm: pam_succeed_if(lightdm:auth): requirement "user ingroup nopasswdlogin" not met by user "gabriel"
Jul 24 11:36:10 rael-m3800 lightdm: pam_unix(lightdm:auth): conversation failed
Jul 24 11:36:10 rael-m3800 lightdm: pam_unix(lightdm:auth): auth could not identify password for [gabriel]

5. unity 7.4.0

Andrea Azzarone (azzar1) wrote :

Hi all,

can you please tell me if when this happens the top panel (in the lockscreen) is correctly displayed with all the indicators like in the attached screenshot. I'm trying to understand if this is a rendering issue or a PAM one.

Thanks!

information type: Public Security → Public
Mark Elston (melston1777) wrote :

I'm seeing the issue as well and I see the top panel shows up like in your screenshot.

Rael Gugelmin Cunha (rael-gc) wrote :

@Andrea, yes, indicators are properly displayed. The only missing item in the screen is the field to input the password.

Andrea Azzarone (azzar1) wrote :

@rael-gc what about username as per screenshot? I'm trying to understand if somehow unity fails to start the pam auth flow.

Mark Elston (melston1777) wrote :

My lock screen simply shows the system name. Not the user name.

Mark Elston (melston1777) wrote :

Here is a capture of the top row of the lock screen.

And, it seems that neither the `compiz --replace` nor the `unity --replace` works for me. I get back my desktop but can't interact with it.

Andrea Azzarone (azzar1) wrote :
Download full text (4.4 KiB)

can you post a capture of the full lockscreen?

El 30 jul. 2017 4:20, "Mark Elston" <email address hidden> escribió:

> Here is a capture of the top row of the lock screen.
>
> And, it seems that neither the `compiz --replace` nor the `unity
> --replace` works for me. I get back my desktop but can't interact with
> it.
>
> ** Attachment added: "Top row of lock screen"
> https://bugs.launchpad.net/ubuntu/+source/unity/+bug/
> 1311316/+attachment/4924108/+files/login-top.png
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1311316
>
> Title:
> After locking screen there is no input field to type password for
> unlock
>
> Status in Unity:
> Fix Released
> Status in Unity 7.2 series:
> Fix Released
> Status in unity package in Ubuntu:
> Fix Released
>
> Bug description:
> *** IMPORTANT **
>
> *** The fix is not included in TRUSTY. Will be included with next SRU.
> ***
>
> If you can reproduce this bug please be sure to provide the following
> info:
> 1. Do you use a multi-head setup? If yes, using just one monitor fixes
> the issue?
> 2. Can you reproduce all the time?
> 3. Do you use ldap? If yes, using gnome-screensaver fix the issue (see
> comment #115) can you still reproduce that?
> 4. Please consider posting /var/log/auth.log (at least part of it,
> should not contain sensitive information)
> 5. Please specify the unity version
> *** END IMPORTANT **
>
> Sometimes (but not always) after locking the screen there is the
> situation not having any input field where I can type the password to
> unlock the session again. The shaded gray area simply does not have
> the input field. I can't do anything, I have to switch to text console
> and stop/start lightdm service to cure the problem loosing all of my
> session :(
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: unity 7.2.0+14.04.20140416-0ubuntu1
> ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
> Uname: Linux 3.13.0-24-generic i686
> ApportVersion: 2.14.1-0ubuntu3
> Architecture: i386
> CompizPlugins: No value set for `/apps/compiz-1/general/
> screen0/options/active_plugins'
> CurrentDesktop: Unity
> Date: Tue Apr 22 22:17:57 2014
> InstallationDate: Installed on 2012-03-03 (780 days ago)
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386
> (20110427.1)
> SourcePackage: unity
> UpgradeStatus: Upgraded to trusty on 2013-10-18 (186 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/1311316/+subscriptions
>
> Launchpad-Notification-Type: bug
> Launchpad-Bug: product=unity; milestone=7.3.1; status=Fix Released;
> importance=High; <email address hidden>;
> Launchpad-Bug: product=unity; productseries=7.2; status=Fix Released;
> importance=High; <email address hidden>;
> Launchpad-Bug: distribution=ubuntu; sourcepackage=unity;
> component=universe; status=Fix Released; importance=High; assignee=
> <email address hidden>;
> Launchpad-Bug-Tags: apport-bug i386 lockscreen rls-w-incoming trusty
> Launchpad-Bug-Information-Type: Public
> Laun...

Read more...

Rael Gugelmin Cunha (rael-gc) wrote :

@Andrea, yes, the username is properly displayed above the missing password input field.

@Mark, you have to:

1. go to a TTY (press Ctrl + Alt + F1 to open it) and run this command: sudo loginctl unlock-sessions
2. get back to X.org (press Ctrl + Alt + F7)
3. now restart compiz with: compiz --replace

Rael Gugelmin Cunha (rael-gc) wrote :

@Andrea, sure, as soon as I face this issue I'll capture it.

Rael Gugelmin Cunha (rael-gc) wrote :

@Andrea, sorry, just now I got able to take a shot from the screen using my mobile. And you were right: no icons in indicators.

Yesterday, several users logged in my machine, then, during the night, screenlock was activated.

Andrea Azzarone (azzar1) wrote :

The lack of indicators might indicate a problem on the upstart user session. This upstart failure can confuse PAM as well. I'm going to propose a branch that will allow the system to lock if there are such types of failures.

Rael Gugelmin Cunha (rael-gc) wrote :

Not sure if this is important, but I can notice the following: if I switch to the second (or any other than me) logged user (Ctrl + Alt + F8), it works normally. I can, then, in second Xorg session, select my user from indicators and then log in.

And, I'm not sure if this is related, but appears that all the times this happens, Unity dash launcher don't display icons for any application (see attached screenshot).

Mark Elston (melston1777) wrote :

Well, I did an update this weekend and now I am not seeing the problem any longer. I'm not sure what got updated or how it fixed it but I am able to move the mouse and the login screen comes back and I am up and working again.

Andrea Azzarone (azzar1) wrote :
Download full text (4.8 KiB)

Hi, I pushed on this ppa [1] a modified unity7 with more debugging. Can you
please:
1. $ sudo add-apt-repository ppa:azzar1/unity7-testing
2. $ sudo apt-update
3. $ sudo apt upgrade (make sure unity is updated)
4. $ unity

Lock the system, after the problem happens write somewhere at what time the
problem happened (hour and minutes please). Then send at
<email address hidden> the content of ~/.cache/upstart/unity7.log.
Please in the email specify at what time the problem happened. Thanks.

[1] https://code.launchpad.net/~azzar1/+archive/ubuntu/unity7-testing

On Mon, Jul 31, 2017 at 6:30 PM, Mark Elston <email address hidden>
wrote:

> Well, I did an update this weekend and now I am not seeing the problem
> any longer. I'm not sure what got updated or how it fixed it but I am
> able to move the mouse and the login screen comes back and I am up and
> working again.
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1311316
>
> Title:
> After locking screen there is no input field to type password for
> unlock
>
> Status in Unity:
> Fix Released
> Status in Unity 7.2 series:
> Fix Released
> Status in unity package in Ubuntu:
> Fix Released
>
> Bug description:
> *** IMPORTANT **
>
> *** The fix is not included in TRUSTY. Will be included with next SRU.
> ***
>
> If you can reproduce this bug please be sure to provide the following
> info:
> 1. Do you use a multi-head setup? If yes, using just one monitor fixes
> the issue?
> 2. Can you reproduce all the time?
> 3. Do you use ldap? If yes, using gnome-screensaver fix the issue (see
> comment #115) can you still reproduce that?
> 4. Please consider posting /var/log/auth.log (at least part of it,
> should not contain sensitive information)
> 5. Please specify the unity version
> *** END IMPORTANT **
>
> Sometimes (but not always) after locking the screen there is the
> situation not having any input field where I can type the password to
> unlock the session again. The shaded gray area simply does not have
> the input field. I can't do anything, I have to switch to text console
> and stop/start lightdm service to cure the problem loosing all of my
> session :(
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: unity 7.2.0+14.04.20140416-0ubuntu1
> ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
> Uname: Linux 3.13.0-24-generic i686
> ApportVersion: 2.14.1-0ubuntu3
> Architecture: i386
> CompizPlugins: No value set for `/apps/compiz-1/general/
> screen0/options/active_plugins'
> CurrentDesktop: Unity
> Date: Tue Apr 22 22:17:57 2014
> InstallationDate: Installed on 2012-03-03 (780 days ago)
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386
> (20110427.1)
> SourcePackage: unity
> UpgradeStatus: Upgraded to trusty on 2013-10-18 (186 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/1311316/+subscriptions
>
> Launchpad-Notification-Type: bug
> Launchpad-Bug: product=unity; milestone=7.3.1; status=Fix Released;
> importance=High; <email address hidden>;
> Launch...

Read more...

Rael Gugelmin Cunha (rael-gc) wrote :

@Andrea: is a restart required or a `compiz --replace &` is enough?

Andrea Azzarone (azzar1) wrote :

I would suggest one of the following options:
1. $ unity
2. login/logout
3. reboot

compiz --repalce will fail because compiz will not be started by upstart and logging will be send to stderr/stdout

Sylwester (ubuntulinux-org) wrote :

This has been bugging me for some time. Out family of 3 switch users and it happens randomly for some users while others still work.

The only workaround I got is that I made a dummy user that I always login on terminal 7. When any in the family gets this problem they hit CTRL+ALT+F7 to that user lockscreen and use its fast user switch to pick their own name. Then you get login prompt and can access your session. Once in the session you get the same problem if you lock the screen so its just to be able to save your work, close appications and kill the screem with AltGr+SysRq+k since the logout will show a logout button that will not work.

Once logged in again though the lock screen is normal for a random duration of unlocks before the same happens again.

It beats loosing data but a fix would be nice.

Sylwester (ubuntulinux-org) wrote :

And the "fix" doesn't work as I'm using Unity 7.4 on Xenial LTS patched up with the newest fixes.

Rael Gugelmin Cunha (rael-gc) wrote :

@azzar1: I faced today again this issue, after install the modified Unity from the PPA. I resumed after suspend. Yesterday all the family logged in.

Unfortunately, the content of ~/.cache/upstart/unity7.log is a single line:

ATTENTION: default value of option force_s3tc_enable overridden by environment.

Klemen (klemenk) wrote :

This is getting wores.. The workaround mentioned above "@Klemen, as a work around I make sure that a second user is logged in (most of the time one of my children). If I am locked out, I can switch to a different X-session (ctrl-alt-f8 or so) and then switch to my user with the menu in the top left corner. Then I can enter my password." is not working anymore. When I switch X-session the screen in that session just keeps flickering and blinking and there is no way I can switch to my user with the menu...

Will this be fixed or should we abandon Ubuntu as a GUI option for Linux? Should I switch to KDE? Any other recommendations?

description: updated

Hello LGB, or anyone else affected,

Accepted unity into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/unity/7.4.5+16.04.20171116 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in unity (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed verification-needed-xenial
Klemen (klemenk) wrote :

I wanted to install proposed package but there seems to be an issue of dependencies I can not resolve (see below). Please provide a novice instructions how to install this. Thanks.

username@username-G501JW:~$ sudo apt-get install unity/xenial-proposedReading package lists... Done
Building dependency tree
Reading state information... Done
Selected version '7.4.5+16.04.20171116' (Ubuntu:16.04/xenial-proposed [amd64]) for 'unity'
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 unity : Depends: compiz-core-abiversion-20170630
E: Unable to correct problems, you have held broken packages.

Łukasz Zemczak (sil2100) wrote :

Hello LGB, or anyone else affected,

Accepted unity into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/unity/7.4.5+16.04.20171201.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Markus Birth (mbirth) wrote :

Just for the record: I had Ubuntu 17.10 (upgraded from 17.04 which was upgraded from 16.10) running on my HP Spectre x360 just fine with GDM3 and Unity and when the screensaver kicked in or I locked the screen, it turned to the GDM3 greeter.

A few days ago, I cleared my SSD and installed 17.10 from scratch. But now, when I lock the screen, I see what looks like the LightDM greeter with a red "Authentication failed" message and "Switch to greeter..." where the password input should be. I then have to Ctrl+Alt+F1 to the GDM3 greeter and unlock from there. Why is that?

Using the "Switch to greeter..." button you should be able to login without any Ctrl+Alt+F1 press, isn't it?

Andrea might help more here, though.

Markus Birth (mbirth) wrote :

A few reboots later, I'm now able to unlock the notebook from the LightDM lockscreen. There's no "switch to greeter" anymore, but a real password entry field which works. However, I still don't know why I had the GDM3 lockscreen before.

Andrea Azzarone (azzar1) wrote :

@Markus do you get it all the times?

ventrical (dale-f-beaudoin) wrote :

works just fine here on my lenovo lappy.

Markus Birth (mbirth) wrote :

@Andrea: Yes, no "switch to greeter" for me anymore. But still I get the LightDM lock screen (with working password field) instead of GDM3.

Download full text (4.8 KiB)

Can you check the output of "cat /etc/pam.d/unity" ?

On Mon, Jan 8, 2018 at 10:03 PM, Markus Birth <email address hidden>
wrote:

> @Andrea: Yes, no "switch to greeter" for me anymore. But still I get the
> LightDM lock screen (with working password field) instead of GDM3.
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1311316
>
> Title:
> After locking screen there is no input field to type password for
> unlock
>
> Status in Unity:
> Fix Released
> Status in Unity 7.2 series:
> Fix Released
> Status in unity package in Ubuntu:
> Fix Released
> Status in unity source package in Xenial:
> Fix Committed
>
> Bug description:
> *** IMPORTANT **
>
> *** The fix is not included in TRUSTY. Will be included with next SRU.
> ***
>
> If you can reproduce this bug please be sure to provide the following
> info:
> 1. Do you use a multi-head setup? If yes, using just one monitor fixes
> the issue?
> 2. Can you reproduce all the time?
> 3. Do you use ldap? If yes, using gnome-screensaver fix the issue (see
> comment #115) can you still reproduce that?
> 4. Please consider posting /var/log/auth.log (at least part of it,
> should not contain sensitive information)
> 5. Please specify the unity version
> *** END IMPORTANT **
>
>
> [Impact]
>
> Sometimes (but not always) after locking the screen there is the
> situation not having any input field where I can type the password to
> unlock the session again. The shaded gray area simply does not have
> the input field. I can't do anything, I have to switch to text console
> and stop/start lightdm service to cure the problem loosing all of my
> session :(
>
> [Test case]
>
> 1. Lock/unlock the screen multiple times
> 2. Expect the lockscreen password input field stay there
>
> [Regression Potential]
>
> Lockscreen shield isn't properly shown. Or fails to login.
>
>
> ProblemType: BugDistroRelease: Ubuntu 14.04
> Package: unity 7.2.0+14.04.20140416-0ubuntu1
> ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
> Uname: Linux 3.13.0-24-generic i686
> ApportVersion: 2.14.1-0ubuntu3
> Architecture: i386
> CompizPlugins: No value set for `/apps/compiz-1/general/
> screen0/options/active_plugins'
> CurrentDesktop: Unity
> Date: Tue Apr 22 22:17:57 2014
> InstallationDate: Installed on 2012-03-03 (780 days
> ago)InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386
> (20110427.1)SourcePackage: unity
> UpgradeStatus: Upgraded to trusty on 2013-10-18 (186 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/1311316/+subscriptions
>
> Launchpad-Notification-Type: bug
> Launchpad-Bug: product=unity; milestone=7.3.1; status=Fix Released;
> importance=High; <email address hidden>;
> Launchpad-Bug: product=unity; productseries=7.2; status=Fix Released;
> importance=High; <email address hidden>;
> Launchpad-Bug: distribution=ubuntu; sourcepackage=unity;
> component=universe; status=Fix Released; importance=High; assignee=
> <email address hidden>;
> Launchpad-Bug: distribution=ubuntu;...

Read more...

Markus Birth (mbirth) wrote :

@Andrea:

    @include common-auth
    auth optional pam_gnome_keyring.so

Ads20000 (ads20000) wrote :

Unable to reproduce the bug (in VirtualBox - low graphics mode, single monitor) so I can't verify the fix. Unable to switch to non-lowgfx because I get 'No such key 'lowgfx'' when trying to run `gsettings set com.canonical.Unity lowgfx false`.

=/ I'm also facing this issue. The curious part is that the issue happens more if I take a while to reboot the machine. I mean, if I don't reboot and just put the machine to sleep this issue start to happens more and more. I also realized that when I use two different users in the machine it also implies to happen more.
Sometimes just type ctrl+alt+f7 a couple of times works to bring the entry field back, but not always (as today), though, typing unity --replace in the user I had the GUI start it works. Last time I have this issue I was with two users logged in, so I just pkill -9 -u <user2> and the login entry screens backs to user1. Also happens to the login screen stay black just with the mouse pointer working.

I'm using 16.04 with this kernel 4.13.0-26-generic and this unity version: 7.4.0+16.04.20160906-0ubuntu1

I can't reproduce the issue, but for sure this fix doesn't bring any regression, while we didn't get any report of this happening with unity 7.4.5+16.04.20171201.3, so we can safely mark this as verified.

Feel free to reopen in case.

tags: added: verification-done verification-done-xenial
removed: verification-needed verification-needed-xenial
Launchpad Janitor (janitor) wrote :
Download full text (3.4 KiB)

This bug was fixed in the package unity - 7.4.5+16.04.20171201.3

---------------
unity (7.4.5+16.04.20171201.3) xenial; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * InputMonitor: add an unity class that monitors XInput2 events and
    converts them to XEvent
  * EdgeBarrierController: use InputMonitor to get the barrier events
    instead of relying on its implementation
  * DecorationsMenuLayout: use input monitor for menu scrubbing (LP:
    #1614597)
  * PanelView: use InputMonitor to track menu events
  * LockScreenPanel: use InputMonitor events instead of mouse polling
    for menu scrubbing
  * MenuManager: add support for mouse trackers with triangle algorithm
    support (LP: #1618405)
  * PanelView: scale gradient refinement properly
  * PanelService: don't allow to deactivate menus if they've been opened
    too shortly
  * LockScreenController: ignore icon_paths_changed signal in
    menumanager for Lockscreen
  * LockScreenController: use InputMonitor to get all the events and
    hide the Blank Window (LP: #1321075)
  * LockScreenController: use input monitor to get the events to switch
    monitor (LP: #1316862)
  * LauncherOptions: use track_obj to manage option changes (LP:
    #1622995)
  * UnityScreen: toggle gestures recognition on lock (LP: #1645507)
  * GnomeSessionManager: add gcancellable to instance and use it for
    calls with temporary proxies
  * BackgroundSettings: use gnome-bg to generate textures with proper
    scaling (LP: #1666359)
  * UnityWindow: safely check validity of UnityWindow from scaled one
    (LP: #1659847)
  * Panel: ensure the menu-manager tracker is updated to match monitor
    (LP: #1671432)
  * compiz-profile-setter: tool to update the current profile and use in
    systemd and Unity settings (LP: #1668950)
  * BGHash, UnityScreen: get desktop averageColor from compiz
  * Launcher: disable or reduce most icon effects on lowgfx (LP:
    #1700859)
  * PanelController: ensure we disconnect from signals on destruction
    (LP: #1504870)
  * tools: add migration script to set the default values for unity-
    lowgfx profile

  [ Andrea Azzarone ]
  * Properly handle the file manager copy dialog in
    FileManagerLauncherIcon and in StorageLauncherIcon. (LP: #1575452,
    LP: #1609845)
  * Correctly position the force quit dialog when scaling is different
    than 1.0 (LP: #1637991)
  * GnomeSession: Retrieve the session id using dbus if $XDG_SESSION_ID
    is not set
  * Round gtk scaling factor to closest integer. (LP: #1649736)
  * Keep the screen locked if rebooting with autologin. (LP: #1600389)
  * Use g_mkdir_with_parents instead of mkdir.
  * Lockscreen: always draw the background-color in the lockscreen (LP:
    #1702701)
  * Refactor the way UserAuthenticator is created and passed around.
    Handle failures to create new threads and fallback to a "Switch to
    greeter..." button in case of failure. (LP: #1311316)
  * Wait until the color buffer is cleared before suspending. (LP:
    #1532508)

  [ Kai-Heng Feng ]
  * UnitySettings: If scale-factor is not set, find and set right scale
    for HiDPI displays.

  [ Eleni Maria Stea ]
  * shouldn't create blur rectangles when there's ...

Read more...

Changed in unity (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for unity has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Rael Gugelmin Cunha (rael-gc) wrote :

Well, we have a bug related to this: Now everytime second user get logged, we're seeing "Authentication Failure: Switch to greeter" https://bugs.launchpad.net/ubuntu/+source/unity/+bug/1733557

To post a comment you must log in.